diff --git a/changelog b/changelog
index 58514b9..e73a059 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100617 tpd src/axiom-website/patches.html 20100617.01.tpd.patch
+20100617 tpd src/input/Makefile rule-based log integration
+20100617 tpd src/input/richlog000-099.input rule-based log integration
 20100616 tpd src/axiom-website/patches.html 20100616.02.tpd.patch
 20100616 tpd src/input/Makefile rule-based hyper integration
 20100616 tpd src/input/richhyper900-999.input rule-based hyper integration
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a53a7e4..d3c497b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2908,6 +2908,8 @@ src/input/richhyper700-799.input rule-based hyper integration<br/>
 src/input/richhyper800-899.input rule-based hyper integration<br/>
 <a href="patches/20100616.02.tpd.patch">20100616.02.tpd.patch</a>
 src/input/richhyper900-999.input rule-based hyper integration<br/>
+<a href="patches/20100617.01.tpd.patch">20100617.01.tpd.patch</a>
+src/input/richlog000-099.input rule-based log integration<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 1a9d5fa..00909ed 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -385,6 +385,8 @@ REGRES= ackermann.regress \
     richhyper700-799.regress \
     richhyper800-899.regress \
     richhyper900-999.regress \
+    richhyper1000-1098.regress \
+    richlog000-099.regress \
     richrational.regress \
     richtrig000-099.regress \
     richtrig100-199.regress \
@@ -724,6 +726,8 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/richhyper700-799.input \
        ${OUT}/richhyper800-899.input \
        ${OUT}/richhyper900-999.input \
+       ${OUT}/richhyper1000-1098.input \
+       ${OUT}/richlog000-099.input \
        ${OUT}/richrational.input \
        ${OUT}/richtrig000-099.input \
        ${OUT}/richtrig100-199.input \
@@ -1092,6 +1096,8 @@ DOCFILES= \
   ${DOC}/richhyper700-799.input.dvi \
   ${DOC}/richhyper800-899.input.dvi \
   ${DOC}/richhyper900-999.input.dvi \
+  ${DOC}/richhyper1000-1098.input.dvi \
+  ${DOC}/richlog000-099.input.dvi \
   ${DOC}/richrational.input.dvi \
   ${DOC}/richtrig000-099.input.dvi \
   ${DOC}/richtrig100-199.input.dvi \
diff --git a/src/input/richlog000-099.input.pamphlet b/src/input/richlog000-099.input.pamphlet
new file mode 100644
index 0000000..6c5ef78
--- /dev/null
+++ b/src/input/richlog000-099.input.pamphlet
@@ -0,0 +1,5358 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input richlog000-099.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f richlog000-099.output
+)spool richlog000-099.output
+)set message auto off
+)clear all
+
+--S 1 of 500
+t0000:= x^2*log(a*x^n)
+--R 
+--R
+--R         2       n
+--R   (1)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 1
+
+--S 2 of 500
+r0000:= 1/9*x^3*(-n+3*log(a*x^n))
+--R 
+--R
+--R          3       n       3
+--R        3x log(a x ) - n x
+--R   (2)  -------------------
+--R                 9
+--R                                                     Type: Expression Integer
+--E 2
+
+--S 3 of 500
+a0000:= integrate(t0000,x)
+--R 
+--R
+--R            3           3            3
+--R        3n x log(x) + 3x log(a) - n x
+--R   (3)  ------------------------------
+--R                       9
+--R                                          Type: Union(Expression Integer,...)
+--E 3
+
+--S 4 of 500
+m0000:= a0000-r0000
+--R 
+--R
+--R           3       n       3          3
+--R        - x log(a x ) + n x log(x) + x log(a)
+--R   (4)  -------------------------------------
+--R                          3
+--R                                                     Type: Expression Integer
+--E 4
+
+--S 5 of 500
+d0000:= D(m0000,x)
+--R 
+--R
+--R            2 n       n         2           2            2  n      3 n - 1
+--R        - 3x x log(a x ) + (3n x log(x) + 3x log(a) + n x )x  - n x x
+--R   (5)  ------------------------------------------------------------------
+--R                                          n
+--R                                        3x
+--R                                                     Type: Expression Integer
+--E 5
+
+--S 6 of 500
+t0001:= x^3*log(a*x^n)
+--R 
+--R
+--R         3       n
+--R   (6)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 500
+r0001:= 1/16*x^4*(-n+4*log(a*x^n))
+--R 
+--R
+--R          4       n       4
+--R        4x log(a x ) - n x
+--R   (7)  -------------------
+--R                 16
+--R                                                     Type: Expression Integer
+--E 7
+
+--S 8 of 500
+a0001:= integrate(t0001,x)
+--R 
+--R
+--R            4           4            4
+--R        4n x log(x) + 4x log(a) - n x
+--R   (8)  ------------------------------
+--R                      16
+--R                                          Type: Union(Expression Integer,...)
+--E 8
+
+--S 9 of 500
+m0001:= a0001-r0001
+--R 
+--R
+--R           4       n       4          4
+--R        - x log(a x ) + n x log(x) + x log(a)
+--R   (9)  -------------------------------------
+--R                          4
+--R                                                     Type: Expression Integer
+--E 9
+
+--S 10 of 500
+d0001:= D(m0001,x)
+--R 
+--R
+--R             3 n       n         3           3            3  n      4 n - 1
+--R         - 4x x log(a x ) + (4n x log(x) + 4x log(a) + n x )x  - n x x
+--R   (10)  ------------------------------------------------------------------
+--R                                           n
+--R                                         4x
+--R                                                     Type: Expression Integer
+--E 10
+
+--S 11 of 500
+t0002:= log(a*x^n)/x^2
+--R 
+--R
+--R                n
+--R         log(a x )
+--R   (11)  ---------
+--R              2
+--R             x
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 500
+r0002:= -1/x*(log(a*x^n)+n)
+--R 
+--R
+--R                  n
+--R         - log(a x ) - n
+--R   (12)  ---------------
+--R                x
+--R                                                     Type: Expression Integer
+--E 12
+
+--S 13 of 500
+a0002:= integrate(t0002,x)
+--R 
+--R
+--R         - n log(x) - log(a) - n
+--R   (13)  -----------------------
+--R                    x
+--R                                          Type: Union(Expression Integer,...)
+--E 13
+
+--S 14 of 500
+m0002:= a0002-r0002
+--R 
+--R
+--R                n
+--R         log(a x ) - n log(x) - log(a)
+--R   (14)  -----------------------------
+--R                       x
+--R                                                     Type: Expression Integer
+--E 14
+
+--S 15 of 500
+d0002:= D(m0002,x)
+--R 
+--R
+--R            n       n                            n        n - 1
+--R         - x log(a x ) + (n log(x) + log(a) - n)x  + n x x
+--R   (15)  ------------------------------------------------------
+--R                                   2 n
+--R                                  x x
+--R                                                     Type: Expression Integer
+--E 15
+
+--S 16 of 500
+t0003:= log(a*x^n)/x^3
+--R 
+--R
+--R                n
+--R         log(a x )
+--R   (16)  ---------
+--R              3
+--R             x
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 500
+r0003:= -1/4/x^2*(2*log(a*x^n)+n)
+--R 
+--R
+--R                   n
+--R         - 2log(a x ) - n
+--R   (17)  ----------------
+--R                  2
+--R                4x
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 500
+a0003:= integrate(t0003,x)
+--R 
+--R
+--R         - 2n log(x) - 2log(a) - n
+--R   (18)  -------------------------
+--R                      2
+--R                    4x
+--R                                          Type: Union(Expression Integer,...)
+--E 18
+
+--S 19 of 500
+m0003:= a0003-r0003
+--R 
+--R
+--R                n
+--R         log(a x ) - n log(x) - log(a)
+--R   (19)  -----------------------------
+--R                        2
+--R                      2x
+--R                                                     Type: Expression Integer
+--E 19
+
+--S 20 of 500
+d0003:= D(m0003,x)
+--R 
+--R
+--R             n       n                              n        n - 1
+--R         - 2x log(a x ) + (2n log(x) + 2log(a) - n)x  + n x x
+--R   (20)  ---------------------------------------------------------
+--R                                     3 n
+--R                                   2x x
+--R                                                     Type: Expression Integer
+--E 20
+
+--S 21 of 500
+t0004:= x^m*log(a*x^n)
+--R 
+--R
+--R          m       n
+--R   (21)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 21
+
+--S 22 of 500
+r0004:= 1/(1+m)^2*x^(1+m)*(-n+log(a*x^n)+log(a*x^n)*m)
+--R 
+--R
+--R                 m + 1       n       m + 1
+--R         (m + 1)x     log(a x ) - n x
+--R   (22)  ---------------------------------
+--R                     2
+--R                    m  + 2m + 1
+--R                                                     Type: Expression Integer
+--E 22
+
+--S 23 of 500
+a0004:= integrate(t0004,x)
+--R 
+--R
+--R                                                      m log(x)
+--R         ((m + 1)n x log(x) + (m + 1)x log(a) - n x)%e
+--R   (23)  -----------------------------------------------------
+--R                               2
+--R                              m  + 2m + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 23
+
+--S 24 of 500
+m0004:= a0004-r0004
+--R 
+--R
+--R   (24)
+--R                 m + 1       n
+--R       (- m - 1)x     log(a x )
+--R     + 
+--R                                                    m log(x)      m + 1
+--R       ((m + 1)n x log(x) + (m + 1)x log(a) - n x)%e         + n x
+--R  /
+--R      2
+--R     m  + 2m + 1
+--R                                                     Type: Expression Integer
+--E 24
+
+--S 25 of 500
+d0004:= D(m0004,x)
+--R 
+--R
+--R   (25)
+--R                 m n       n                                      n  m log(x)
+--R       (- m - 1)x x log(a x ) + ((m + 1)n log(x) + (m + 1)log(a))x %e
+--R     + 
+--R          m n      m + 1 n - 1
+--R       n x x  - n x     x
+--R  /
+--R             n
+--R     (m + 1)x
+--R                                                     Type: Expression Integer
+--E 25
+
+--S 26 of 500
+t0005:= x^3*log(c*(a*x^n)^p)
+--R 
+--R
+--R          3          n p
+--R   (26)  x log(c (a x ) )
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 500
+r0005:= 1/16*x^4*(-n*p+4*log(c*(a*x^n)^p))
+--R 
+--R
+--R           4          n p         4
+--R         4x log(c (a x ) ) - n p x
+--R   (27)  --------------------------
+--R                     16
+--R                                                     Type: Expression Integer
+--E 27
+
+--S 28 of 500
+a0005:= integrate(t0005,x)
+--R 
+--R
+--R               4           4             4              4
+--R         4n p x log(x) + 4x log(c) + 4p x log(a) - n p x
+--R   (28)  ------------------------------------------------
+--R                                16
+--R                                          Type: Union(Expression Integer,...)
+--E 28
+
+--S 29 of 500
+m0005:= a0005-r0005
+--R 
+--R
+--R            4          n p         4          4            4
+--R         - x log(c (a x ) ) + n p x log(x) + x log(c) + p x log(a)
+--R   (29)  ---------------------------------------------------------
+--R                                     4
+--R                                                     Type: Expression Integer
+--E 29
+
+--S 30 of 500
+d0005:= D(m0005,x)
+--R 
+--R
+--R   (30)
+--R           3    n p          n p
+--R       - 4x (a x ) log(c (a x ) )
+--R     + 
+--R              3           3             3              3     n p
+--R       (4n p x log(x) + 4x log(c) + 4p x log(a) + n p x )(a x )
+--R     + 
+--R                4 n - 1    n p - 1
+--R       - a n p x x     (a x )
+--R  /
+--R          n p
+--R     4(a x )
+--R                                                     Type: Expression Integer
+--E 30
+
+--S 31 of 500
+t0006:= x^m*log(c*(a*x^n)^p)
+--R 
+--R
+--R          m          n p
+--R   (31)  x log(c (a x ) )
+--R                                                     Type: Expression Integer
+--E 31
+
+--S 32 of 500
+r0006:= -n*p*x^(1+m)/(1+m)^2+x^(1+m)*log(c*(a*x^n)^p)/(1+m)
+--R 
+--R
+--R                 m + 1          n p         m + 1
+--R         (m + 1)x     log(c (a x ) ) - n p x
+--R   (32)  ----------------------------------------
+--R                         2
+--R                        m  + 2m + 1
+--R                                                     Type: Expression Integer
+--E 32
+
+--S 33 of 500
+a0006:= integrate(t0006,x)
+--R 
+--R
+--R   (33)
+--R                                                                        m log(x)
+--R   ((m + 1)n p x log(x) + (m + 1)x log(c) + (m + 1)p x log(a) - n p x)%e
+--R   -----------------------------------------------------------------------------
+--R                                     2
+--R                                    m  + 2m + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 33
+
+--S 34 of 500
+m0006:= a0006-r0006
+--R 
+--R
+--R   (34)
+--R                 m + 1          n p
+--R       (- m - 1)x     log(c (a x ) )
+--R     + 
+--R         ((m + 1)n p x log(x) + (m + 1)x log(c) + (m + 1)p x log(a) - n p x)
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R            m + 1
+--R       n p x
+--R  /
+--R      2
+--R     m  + 2m + 1
+--R                                                     Type: Expression Integer
+--E 34
+
+--S 35 of 500
+d0006:= D(m0006,x)
+--R 
+--R
+--R   (35)
+--R                 m    n p          n p
+--R       (- m - 1)x (a x ) log(c (a x ) )
+--R     + 
+--R                                                                  m log(x)
+--R           ((m + 1)n p log(x) + (m + 1)log(c) + (m + 1)p log(a))%e
+--R         + 
+--R                m
+--R           n p x
+--R      *
+--R             n p
+--R         (a x )
+--R     + 
+--R                m + 1 n - 1    n p - 1
+--R       - a n p x     x     (a x )
+--R  /
+--R                n p
+--R     (m + 1)(a x )
+--R                                                     Type: Expression Integer
+--E 35
+
+--S 36 of 500
+t0007:= x*log(a*x^n)^2
+--R 
+--R
+--R                  n 2
+--R   (36)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 36
+
+--S 37 of 500
+r0007:= 1/4*x^2*(n^2-2*n*log(a*x^n)+2*log(a*x^n)^2)
+--R 
+--R
+--R           2       n 2       2       n     2 2
+--R         2x log(a x )  - 2n x log(a x ) + n x
+--R   (37)  -------------------------------------
+--R                           4
+--R                                                     Type: Expression Integer
+--E 37
+
+--S 38 of 500
+a0007:= integrate(t0007,x)
+--R 
+--R
+--R   (38)
+--R     2 2      2        2           2 2            2      2       2          2 2
+--R   2n x log(x)  + (4n x log(a) - 2n x )log(x) + 2x log(a)  - 2n x log(a) + n x
+--R   ----------------------------------------------------------------------------
+--R                                         4
+--R                                          Type: Union(Expression Integer,...)
+--E 38
+
+--S 39 of 500
+m0007:= a0007-r0007
+--R 
+--R
+--R   (39)
+--R          2       n 2      2       n     2 2      2        2          2 2
+--R       - x log(a x )  + n x log(a x ) + n x log(x)  + (2n x log(a) - n x )log(x)
+--R     + 
+--R        2      2      2
+--R       x log(a)  - n x log(a)
+--R  /
+--R     2
+--R                                                     Type: Expression Integer
+--E 39
+
+--S 40 of 500
+d0007:= D(m0007,x)
+--R 
+--R
+--R   (40)
+--R             n       n 2          n       2 n - 1        n
+--R       - 2x x log(a x )  + (2n x x  - 2n x x     )log(a x )
+--R     + 
+--R          2        2                                2    2   n    2 2 n - 1
+--R       (2n x log(x)  + 4n x log(a)log(x) + 2x log(a)  - n x)x  + n x x
+--R  /
+--R       n
+--R     2x
+--R                                                     Type: Expression Integer
+--E 40
+
+--S 41 of 500
+t0008:= x^2*log(a*x^n)^2
+--R 
+--R
+--R          2       n 2
+--R   (41)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 41
+
+--S 42 of 500
+r0008:= 1/27*x^3*(2*n^2-6*n*log(a*x^n)+9*log(a*x^n)^2)
+--R 
+--R
+--R           3       n 2       3       n      2 3
+--R         9x log(a x )  - 6n x log(a x ) + 2n x
+--R   (42)  --------------------------------------
+--R                           27
+--R                                                     Type: Expression Integer
+--E 42
+
+--S 43 of 500
+a0008:= integrate(t0008,x)
+--R 
+--R
+--R   (43)
+--R         2 3      2         3           2 3            3      2       3
+--R       9n x log(x)  + (18n x log(a) - 6n x )log(x) + 9x log(a)  - 6n x log(a)
+--R     + 
+--R         2 3
+--R       2n x
+--R  /
+--R     27
+--R                                          Type: Union(Expression Integer,...)
+--E 43
+
+--S 44 of 500
+m0008:= a0008-r0008
+--R 
+--R
+--R   (44)
+--R           3       n 2       3       n      2 3      2
+--R       - 3x log(a x )  + 2n x log(a x ) + 3n x log(x)
+--R     + 
+--R            3           2 3            3      2       3
+--R       (6n x log(a) - 2n x )log(x) + 3x log(a)  - 2n x log(a)
+--R  /
+--R     9
+--R                                                     Type: Expression Integer
+--E 44
+
+--S 45 of 500
+d0008:= D(m0008,x)
+--R 
+--R
+--R   (45)
+--R           2 n       n 2        2 n       3 n - 1        n
+--R       - 9x x log(a x )  + (6n x x  - 6n x x     )log(a x )
+--R     + 
+--R          2 2      2        2                 2      2     2 2  n     2 3 n - 1
+--R       (9n x log(x)  + 18n x log(a)log(x) + 9x log(a)  - 2n x )x  + 2n x x
+--R  /
+--R       n
+--R     9x
+--R                                                     Type: Expression Integer
+--E 45
+
+--S 46 of 500
+t0009:= x^3*log(a*x^n)^2
+--R 
+--R
+--R          3       n 2
+--R   (46)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 46
+
+--S 47 of 500
+r0009:= 1/32*x^4*(n^2-4*n*log(a*x^n)+8*log(a*x^n)^2)
+--R 
+--R
+--R           4       n 2       4       n     2 4
+--R         8x log(a x )  - 4n x log(a x ) + n x
+--R   (47)  -------------------------------------
+--R                           32
+--R                                                     Type: Expression Integer
+--E 47
+
+--S 48 of 500
+a0009:= integrate(t0009,x)
+--R 
+--R
+--R   (48)
+--R     2 4      2         4           2 4            4      2       4          2 4
+--R   8n x log(x)  + (16n x log(a) - 4n x )log(x) + 8x log(a)  - 4n x log(a) + n x
+--R   -----------------------------------------------------------------------------
+--R                                         32
+--R                                          Type: Union(Expression Integer,...)
+--E 48
+
+--S 49 of 500
+m0009:= a0009-r0009
+--R 
+--R
+--R   (49)
+--R           4       n 2      4       n      2 4      2
+--R       - 2x log(a x )  + n x log(a x ) + 2n x log(x)
+--R     + 
+--R            4          2 4            4      2      4
+--R       (4n x log(a) - n x )log(x) + 2x log(a)  - n x log(a)
+--R  /
+--R     8
+--R                                                     Type: Expression Integer
+--E 49
+
+--S 50 of 500
+d0009:= D(m0009,x)
+--R 
+--R
+--R   (50)
+--R           3 n       n 2        3 n       4 n - 1        n
+--R       - 8x x log(a x )  + (4n x x  - 4n x x     )log(a x )
+--R     + 
+--R          2 3      2        3                 3      2    2 3  n    2 4 n - 1
+--R       (8n x log(x)  + 16n x log(a)log(x) + 8x log(a)  - n x )x  + n x x
+--R  /
+--R       n
+--R     8x
+--R                                                     Type: Expression Integer
+--E 50
+
+--S 51 of 500
+t0000:= log(a*x^n)^2/x^2
+--R 
+--R
+--R                n 2
+--R         log(a x )
+--R   (51)  ----------
+--R              2
+--R             x
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 500
+r0000:= -1/x*(2*n^2+2*n*log(a*x^n)+log(a*x^n)^2)
+--R 
+--R
+--R                  n 2             n      2
+--R         - log(a x )  - 2n log(a x ) - 2n
+--R   (52)  ---------------------------------
+--R                         x
+--R                                                     Type: Expression Integer
+--E 52
+
+--S 53 of 500
+a0000:= integrate(t0000,x)
+--R 
+--R
+--R            2      2                    2                2                 2
+--R         - n log(x)  + (- 2n log(a) - 2n )log(x) - log(a)  - 2n log(a) - 2n
+--R   (53)  -------------------------------------------------------------------
+--R                                          x
+--R                                          Type: Union(Expression Integer,...)
+--E 53
+
+--S 54 of 500
+m0000:= a0000-r0000
+--R 
+--R
+--R   (54)
+--R              n 2             n     2      2                    2
+--R       log(a x )  + 2n log(a x ) - n log(x)  + (- 2n log(a) - 2n )log(x)
+--R     + 
+--R               2
+--R       - log(a)  - 2n log(a)
+--R  /
+--R     x
+--R                                                     Type: Expression Integer
+--E 54
+
+--S 55 of 500
+d0000:= D(m0000,x)
+--R 
+--R
+--R   (55)
+--R          n       n 2          n         n - 1        n
+--R       - x log(a x )  + (- 2n x  + 2n x x     )log(a x )
+--R     + 
+--R         2      2                           2     2  n     2   n - 1
+--R       (n log(x)  + 2n log(a)log(x) + log(a)  - 2n )x  + 2n x x
+--R  /
+--R      2 n
+--R     x x
+--R                                                     Type: Expression Integer
+--E 55
+
+--S 56 of 500
+t0011:= log(a*x^n)^2/x^3
+--R 
+--R
+--R                n 2
+--R         log(a x )
+--R   (56)  ----------
+--R              3
+--R             x
+--R                                                     Type: Expression Integer
+--E 56
+
+--S 57 of 500
+r0011:= -1/4/x^2*(n^2+2*n*log(a*x^n)+2*log(a*x^n)^2)
+--R 
+--R
+--R                   n 2             n     2
+--R         - 2log(a x )  - 2n log(a x ) - n
+--R   (57)  ---------------------------------
+--R                          2
+--R                        4x
+--R                                                     Type: Expression Integer
+--E 57
+
+--S 58 of 500
+a0011:= integrate(t0011,x)
+--R 
+--R
+--R             2      2                    2                 2                2
+--R         - 2n log(x)  + (- 4n log(a) - 2n )log(x) - 2log(a)  - 2n log(a) - n
+--R   (58)  --------------------------------------------------------------------
+--R                                            2
+--R                                          4x
+--R                                          Type: Union(Expression Integer,...)
+--E 58
+
+--S 59 of 500
+m0011:= a0011-r0011
+--R 
+--R
+--R   (59)
+--R              n 2            n     2      2                   2                2
+--R       log(a x )  + n log(a x ) - n log(x)  + (- 2n log(a) - n )log(x) - log(a)
+--R     + 
+--R       - n log(a)
+--R  /
+--R       2
+--R     2x
+--R                                                     Type: Expression Integer
+--E 59
+
+--S 60 of 500
+d0011:= D(m0011,x)
+--R 
+--R
+--R   (60)
+--R           n       n 2          n         n - 1        n
+--R       - 2x log(a x )  + (- 2n x  + 2n x x     )log(a x )
+--R     + 
+--R          2      2                            2    2  n    2   n - 1
+--R       (2n log(x)  + 4n log(a)log(x) + 2log(a)  - n )x  + n x x
+--R  /
+--R       3 n
+--R     2x x
+--R                                                     Type: Expression Integer
+--E 60
+
+--S 61 of 500
+t0012:= x^m*log(a*x^n)^2
+--R 
+--R
+--R          m       n 2
+--R   (61)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 61
+
+--S 62 of 500
+r0012:= 2*n^2*x^(1+m)/(1+m)^3-2*n*x^(1+m)*log(a*x^n)/(1+m)^2+x^(1+m)*log(a*x^n)^2/(1+m)
+--R 
+--R
+--R   (62)
+--R     2           m + 1       n 2                m + 1       n      2 m + 1
+--R   (m  + 2m + 1)x     log(a x )  + (- 2m - 2)n x     log(a x ) + 2n x
+--R   -----------------------------------------------------------------------
+--R                               3     2
+--R                              m  + 3m  + 3m + 1
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 500
+a0012:= integrate(t0012,x)
+--R 
+--R
+--R   (63)
+--R           2           2        2
+--R         (m  + 2m + 1)n x log(x)
+--R       + 
+--R             2                                  2
+--R         ((2m  + 4m + 2)n x log(a) + (- 2m - 2)n x)log(x)
+--R       + 
+--R           2                  2                            2
+--R         (m  + 2m + 1)x log(a)  + (- 2m - 2)n x log(a) + 2n x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      3     2
+--R     m  + 3m  + 3m + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 63
+
+--S 64 of 500
+m0012:= a0012-r0012
+--R 
+--R
+--R   (64)
+--R           2           m + 1       n 2              m + 1       n
+--R       (- m  - 2m - 1)x     log(a x )  + (2m + 2)n x     log(a x )
+--R     + 
+--R             2           2        2
+--R           (m  + 2m + 1)n x log(x)
+--R         + 
+--R               2                                  2
+--R           ((2m  + 4m + 2)n x log(a) + (- 2m - 2)n x)log(x)
+--R         + 
+--R             2                  2                            2
+--R           (m  + 2m + 1)x log(a)  + (- 2m - 2)n x log(a) + 2n x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R           2 m + 1
+--R       - 2n x
+--R  /
+--R      3     2
+--R     m  + 3m  + 3m + 1
+--R                                                     Type: Expression Integer
+--E 64
+
+--S 65 of 500
+d0012:= D(m0012,x)
+--R 
+--R
+--R   (65)
+--R           2           m n       n 2
+--R       (- m  - 2m - 1)x x log(a x )
+--R     + 
+--R                   m n                m + 1 n - 1        n
+--R       ((2m + 2)n x x  + (- 2m - 2)n x     x     )log(a x )
+--R     + 
+--R             2           2      2      2
+--R           (m  + 2m + 1)n log(x)  + (2m  + 4m + 2)n log(a)log(x)
+--R         + 
+--R             2                2
+--R           (m  + 2m + 1)log(a)
+--R      *
+--R          n  m log(x)
+--R         x %e
+--R     + 
+--R           2 m n     2 m + 1 n - 1
+--R       - 2n x x  + 2n x     x
+--R  /
+--R       2           n
+--R     (m  + 2m + 1)x
+--R                                                     Type: Expression Integer
+--E 65
+
+--S 66 of 500
+t0013:= x^m*log(a*x)^3
+--R 
+--R
+--R                 3 m
+--R   (66)  log(a x) x
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 500
+r0013:= -6*x^(1+m)/(1+m)^4+6*x^(1+m)*log(a*x)/(1+m)^3-3*x^(1+m)*log(a*x)^2/(1+m)^2+x^(1+m)*log(a*x)^3/(1+m)
+--R 
+--R
+--R   (67)
+--R           3     2                  3        2                  2
+--R         (m  + 3m  + 3m + 1)log(a x)  + (- 3m  - 6m - 3)log(a x)
+--R       + 
+--R         (6m + 6)log(a x) - 6
+--R    *
+--R        m + 1
+--R       x
+--R  /
+--R      4     3     2
+--R     m  + 4m  + 6m  + 4m + 1
+--R                                                     Type: Expression Integer
+--E 67
+
+--S 68 of 500
+a0013:= integrate(t0013,x)
+--R 
+--R
+--R   (68)
+--R           3     2                  3
+--R         (m  + 3m  + 3m + 1)x log(x)
+--R       + 
+--R             3     2                          2                  2
+--R         ((3m  + 9m  + 9m + 3)x log(a) + (- 3m  - 6m - 3)x)log(x)
+--R       + 
+--R                  3     2                  2        2
+--R               (3m  + 9m  + 9m + 3)x log(a)  + (- 6m  - 12m - 6)x log(a)
+--R             + 
+--R               (6m + 6)x
+--R        *
+--R           log(x)
+--R       + 
+--R           3     2                  3        2                  2
+--R         (m  + 3m  + 3m + 1)x log(a)  + (- 3m  - 6m - 3)x log(a)
+--R       + 
+--R         (6m + 6)x log(a) - 6x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      4     3     2
+--R     m  + 4m  + 6m  + 4m + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 68
+
+--S 69 of 500
+m0013:= a0013-r0013
+--R 
+--R
+--R   (69)
+--R             3     2                  3
+--R           (m  + 3m  + 3m + 1)x log(x)
+--R         + 
+--R               3     2                          2                  2
+--R           ((3m  + 9m  + 9m + 3)x log(a) + (- 3m  - 6m - 3)x)log(x)
+--R         + 
+--R                  3     2                  2        2
+--R               (3m  + 9m  + 9m + 3)x log(a)  + (- 6m  - 12m - 6)x log(a)
+--R             + 
+--R               (6m + 6)x
+--R          *
+--R             log(x)
+--R         + 
+--R             3     2                  3        2                  2
+--R           (m  + 3m  + 3m + 1)x log(a)  + (- 3m  - 6m - 3)x log(a)
+--R         + 
+--R           (6m + 6)x log(a) - 6x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R               3     2                  3      2                  2
+--R           (- m  - 3m  - 3m - 1)log(a x)  + (3m  + 6m + 3)log(a x)
+--R         + 
+--R           (- 6m - 6)log(a x) + 6
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      4     3     2
+--R     m  + 4m  + 6m  + 4m + 1
+--R                                                     Type: Expression Integer
+--E 69
+
+--S 70 of 500
+d0013:= D(m0013,x)
+--R 
+--R
+--R   (70)
+--R             3     2                  3      3     2                        2
+--R           (m  + 3m  + 3m + 1)x log(x)  + (3m  + 9m  + 9m + 3)x log(a)log(x)
+--R         + 
+--R              3     2                  2           3     2                  3
+--R           (3m  + 9m  + 9m + 3)x log(a) log(x) + (m  + 3m  + 3m + 1)x log(a)
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R             2                  2                         m + 1
+--R       ((- 3m  - 6m - 3)log(a x)  + (6m + 6)log(a x) - 6)x
+--R     + 
+--R               3     2                    3      2                    2
+--R           (- m  - 3m  - 3m - 1)x log(a x)  + (3m  + 6m + 3)x log(a x)
+--R         + 
+--R           (- 6m - 6)x log(a x) + 6x
+--R      *
+--R          m
+--R         x
+--R  /
+--R       3     2
+--R     (m  + 3m  + 3m + 1)x
+--R                                                     Type: Expression Integer
+--E 70
+
+--S 71 of 500
+t0014:= log(a*x^n)^3
+--R 
+--R
+--R                n 3
+--R   (71)  log(a x )
+--R                                                     Type: Expression Integer
+--E 71
+
+--S 72 of 500
+r0014:= x*(-6*n^3+6*n^2*log(a*x^n)-3*n*log(a*x^n)^2+log(a*x^n)^3)
+--R 
+--R
+--R                  n 3               n 2     2         n      3
+--R   (72)  x log(a x )  - 3n x log(a x )  + 6n x log(a x ) - 6n x
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 500
+a0014:= integrate(t0014,x)
+--R 
+--R
+--R   (73)
+--R      3        3      2             3        2
+--R     n x log(x)  + (3n x log(a) - 3n x)log(x)
+--R   + 
+--R                 2     2             3                   3              2
+--R     (3n x log(a)  - 6n x log(a) + 6n x)log(x) + x log(a)  - 3n x log(a)
+--R   + 
+--R       2             3
+--R     6n x log(a) - 6n x
+--R                                          Type: Union(Expression Integer,...)
+--E 73
+
+--S 74 of 500
+m0014:= a0014-r0014
+--R 
+--R
+--R   (74)
+--R                n 3               n 2     2         n     3        3
+--R     - x log(a x )  + 3n x log(a x )  - 6n x log(a x ) + n x log(x)
+--R   + 
+--R        2             3        2               2     2             3
+--R     (3n x log(a) - 3n x)log(x)  + (3n x log(a)  - 6n x log(a) + 6n x)log(x)
+--R   + 
+--R             3              2     2
+--R     x log(a)  - 3n x log(a)  + 6n x log(a)
+--R                                                     Type: Expression Integer
+--E 74
+
+--S 75 of 500
+d0014:= D(m0014,x)
+--R 
+--R
+--R   (75)
+--R          n       n 3        n         n - 1        n 2
+--R       - x log(a x )  + (3n x  - 3n x x     )log(a x )
+--R     + 
+--R            2 n     2   n - 1        n
+--R       (- 6n x  + 6n x x     )log(a x )
+--R     + 
+--R         3      3     2            2            2               3     3  n
+--R       (n log(x)  + 3n log(a)log(x)  + 3n log(a) log(x) + log(a)  + 6n )x
+--R     + 
+--R           3   n - 1
+--R       - 6n x x
+--R  /
+--R      n
+--R     x
+--R                                                     Type: Expression Integer
+--E 75
+
+--S 76 of 500
+t0015:= x*log(a*x^n)^3
+--R 
+--R
+--R                  n 3
+--R   (76)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 76
+
+--S 77 of 500
+r0015:= 1/8*x^2*(-3*n^3+6*n^2*log(a*x^n)-6*n*log(a*x^n)^2+4*log(a*x^n)^3)
+--R 
+--R
+--R           2       n 3       2       n 2     2 2       n      3 2
+--R         4x log(a x )  - 6n x log(a x )  + 6n x log(a x ) - 3n x
+--R   (77)  --------------------------------------------------------
+--R                                     8
+--R                                                     Type: Expression Integer
+--E 77
+
+--S 78 of 500
+a0015:= integrate(t0015,x)
+--R 
+--R
+--R   (78)
+--R         3 2      3       2 2           3 2       2
+--R       4n x log(x)  + (12n x log(a) - 6n x )log(x)
+--R     + 
+--R             2      2      2 2           3 2            2      3       2      2
+--R       (12n x log(a)  - 12n x log(a) + 6n x )log(x) + 4x log(a)  - 6n x log(a)
+--R     + 
+--R         2 2           3 2
+--R       6n x log(a) - 3n x
+--R  /
+--R     8
+--R                                          Type: Union(Expression Integer,...)
+--E 78
+
+--S 79 of 500
+m0015:= a0015-r0015
+--R 
+--R
+--R   (79)
+--R           2       n 3       2       n 2     2 2       n      3 2      3
+--R       - 2x log(a x )  + 3n x log(a x )  - 3n x log(a x ) + 2n x log(x)
+--R     + 
+--R          2 2           3 2       2        2      2     2 2           3 2
+--R       (6n x log(a) - 3n x )log(x)  + (6n x log(a)  - 6n x log(a) + 3n x )log(x)
+--R     + 
+--R         2      3       2      2     2 2
+--R       2x log(a)  - 3n x log(a)  + 3n x log(a)
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 79
+
+--S 80 of 500
+d0015:= D(m0015,x)
+--R 
+--R
+--R   (80)
+--R             n       n 3          n       2 n - 1        n 2
+--R       - 4x x log(a x )  + (6n x x  - 6n x x     )log(a x )
+--R     + 
+--R            2   n     2 2 n - 1        n
+--R       (- 6n x x  + 6n x x     )log(a x )
+--R     + 
+--R             3        3      2              2               2                  3
+--R           4n x log(x)  + 12n x log(a)log(x)  + 12n x log(a) log(x) + 4x log(a)
+--R         + 
+--R             3
+--R           3n x
+--R      *
+--R          n
+--R         x
+--R     + 
+--R           3 2 n - 1
+--R       - 3n x x
+--R  /
+--R       n
+--R     4x
+--R                                                     Type: Expression Integer
+--E 80
+
+--S 81 of 500
+t0016:= x^2*log(a*x^n)^3
+--R 
+--R
+--R          2       n 3
+--R   (81)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 81
+
+--S 82 of 500
+r0016:= 1/27*x^3*(-2*n^3+6*n^2*log(a*x^n)-9*n*log(a*x^n)^2+9*log(a*x^n)^3)
+--R 
+--R
+--R           3       n 3       3       n 2     2 3       n      3 3
+--R         9x log(a x )  - 9n x log(a x )  + 6n x log(a x ) - 2n x
+--R   (82)  --------------------------------------------------------
+--R                                    27
+--R                                                     Type: Expression Integer
+--E 82
+
+--S 83 of 500
+a0016:= integrate(t0016,x)
+--R 
+--R
+--R   (83)
+--R         3 3      3       2 3           3 3       2
+--R       9n x log(x)  + (27n x log(a) - 9n x )log(x)
+--R     + 
+--R             3      2      2 3           3 3            3      3       3      2
+--R       (27n x log(a)  - 18n x log(a) + 6n x )log(x) + 9x log(a)  - 9n x log(a)
+--R     + 
+--R         2 3           3 3
+--R       6n x log(a) - 2n x
+--R  /
+--R     27
+--R                                          Type: Union(Expression Integer,...)
+--E 83
+
+--S 84 of 500
+m0016:= a0016-r0016
+--R 
+--R
+--R   (84)
+--R           3       n 3       3       n 2     2 3       n      3 3      3
+--R       - 3x log(a x )  + 3n x log(a x )  - 2n x log(a x ) + 3n x log(x)
+--R     + 
+--R          2 3           3 3       2        3      2     2 3           3 3
+--R       (9n x log(a) - 3n x )log(x)  + (9n x log(a)  - 6n x log(a) + 2n x )log(x)
+--R     + 
+--R         3      3       3      2     2 3
+--R       3x log(a)  - 3n x log(a)  + 2n x log(a)
+--R  /
+--R     9
+--R                                                     Type: Expression Integer
+--E 84
+
+--S 85 of 500
+d0016:= D(m0016,x)
+--R 
+--R
+--R   (85)
+--R           2 n       n 3        2 n       3 n - 1        n 2
+--R       - 9x x log(a x )  + (9n x x  - 9n x x     )log(a x )
+--R     + 
+--R            2 2 n     2 3 n - 1        n
+--R       (- 6n x x  + 6n x x     )log(a x )
+--R     + 
+--R             3 2      3      2 2            2        2      2           2      3
+--R           9n x log(x)  + 27n x log(a)log(x)  + 27n x log(a) log(x) + 9x log(a)
+--R         + 
+--R             3 2
+--R           2n x
+--R      *
+--R          n
+--R         x
+--R     + 
+--R           3 3 n - 1
+--R       - 2n x x
+--R  /
+--R       n
+--R     9x
+--R                                                     Type: Expression Integer
+--E 85
+
+--S 86 of 500
+t0017:= x^3*log(a*x^n)^3
+--R 
+--R
+--R          3       n 3
+--R   (86)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 500
+r0017:= 1/128*x^4*(-3*n^3+12*n^2*log(a*x^n)-24*n*log(a*x^n)^2+32*log(a*x^n)^3)
+--R 
+--R
+--R            4       n 3        4       n 2      2 4       n      3 4
+--R         32x log(a x )  - 24n x log(a x )  + 12n x log(a x ) - 3n x
+--R   (87)  -----------------------------------------------------------
+--R                                     128
+--R                                                     Type: Expression Integer
+--E 87
+
+--S 88 of 500
+a0017:= integrate(t0017,x)
+--R 
+--R
+--R   (88)
+--R          3 4      3       2 4            3 4       2
+--R       32n x log(x)  + (96n x log(a) - 24n x )log(x)
+--R     + 
+--R             4      2      2 4            3 4             4      3
+--R       (96n x log(a)  - 48n x log(a) + 12n x )log(x) + 32x log(a)
+--R     + 
+--R              4      2      2 4           3 4
+--R       - 24n x log(a)  + 12n x log(a) - 3n x
+--R  /
+--R     128
+--R                                          Type: Union(Expression Integer,...)
+--E 88
+
+--S 89 of 500
+m0017:= a0017-r0017
+--R 
+--R
+--R   (89)
+--R           4       n 3       4       n 2     2 4       n      3 4      3
+--R       - 8x log(a x )  + 6n x log(a x )  - 3n x log(a x ) + 8n x log(x)
+--R     + 
+--R           2 4           3 4       2
+--R       (24n x log(a) - 6n x )log(x)
+--R     + 
+--R             4      2      2 4           3 4            4      3       4      2
+--R       (24n x log(a)  - 12n x log(a) + 3n x )log(x) + 8x log(a)  - 6n x log(a)
+--R     + 
+--R         2 4
+--R       3n x log(a)
+--R  /
+--R     32
+--R                                                     Type: Expression Integer
+--E 89
+
+--S 90 of 500
+d0017:= D(m0017,x)
+--R 
+--R
+--R   (90)
+--R            3 n       n 3         3 n        4 n - 1        n 2
+--R       - 32x x log(a x )  + (24n x x  - 24n x x     )log(a x )
+--R     + 
+--R             2 3 n      2 4 n - 1        n
+--R       (- 12n x x  + 12n x x     )log(a x )
+--R     + 
+--R              3 3      3      2 3            2        3      2
+--R           32n x log(x)  + 96n x log(a)log(x)  + 96n x log(a) log(x)
+--R         + 
+--R              3      3     3 3
+--R           32x log(a)  + 3n x
+--R      *
+--R          n
+--R         x
+--R     + 
+--R           3 4 n - 1
+--R       - 3n x x
+--R  /
+--R        n
+--R     32x
+--R                                                     Type: Expression Integer
+--E 90
+
+--S 91 of 500
+t0018:= log(a*x^n)^3/x^2
+--R 
+--R
+--R                n 3
+--R         log(a x )
+--R   (91)  ----------
+--R              2
+--R             x
+--R                                                     Type: Expression Integer
+--E 91
+
+--S 92 of 500
+r0018:= -1/x*(6*n^3+6*n^2*log(a*x^n)+3*n*log(a*x^n)^2+log(a*x^n)^3)
+--R 
+--R
+--R                  n 3             n 2     2       n      3
+--R         - log(a x )  - 3n log(a x )  - 6n log(a x ) - 6n
+--R   (92)  -------------------------------------------------
+--R                                 x
+--R                                                     Type: Expression Integer
+--E 92
+
+--S 93 of 500
+a0018:= integrate(t0018,x)
+--R 
+--R
+--R   (93)
+--R          3      3        2           3       2
+--R       - n log(x)  + (- 3n log(a) - 3n )log(x)
+--R     + 
+--R                   2     2           3                3            2     2
+--R       (- 3n log(a)  - 6n log(a) - 6n )log(x) - log(a)  - 3n log(a)  - 6n log(a)
+--R     + 
+--R           3
+--R       - 6n
+--R  /
+--R     x
+--R                                          Type: Union(Expression Integer,...)
+--E 93
+
+--S 94 of 500
+m0018:= a0018-r0018
+--R 
+--R
+--R   (94)
+--R              n 3             n 2     2       n     3      3
+--R       log(a x )  + 3n log(a x )  + 6n log(a x ) - n log(x)
+--R     + 
+--R            2           3       2               2     2           3
+--R       (- 3n log(a) - 3n )log(x)  + (- 3n log(a)  - 6n log(a) - 6n )log(x)
+--R     + 
+--R               3            2     2
+--R       - log(a)  - 3n log(a)  - 6n log(a)
+--R  /
+--R     x
+--R                                                     Type: Expression Integer
+--E 94
+
+--S 95 of 500
+d0018:= D(m0018,x)
+--R 
+--R
+--R   (95)
+--R          n       n 3          n         n - 1        n 2
+--R       - x log(a x )  + (- 3n x  + 3n x x     )log(a x )
+--R     + 
+--R            2 n     2   n - 1        n
+--R       (- 6n x  + 6n x x     )log(a x )
+--R     + 
+--R         3      3     2            2            2               3     3  n
+--R       (n log(x)  + 3n log(a)log(x)  + 3n log(a) log(x) + log(a)  - 6n )x
+--R     + 
+--R         3   n - 1
+--R       6n x x
+--R  /
+--R      2 n
+--R     x x
+--R                                                     Type: Expression Integer
+--E 95
+
+--S 96 of 500
+t0019:= log(a*x^n)^3/x^3
+--R 
+--R
+--R                n 3
+--R         log(a x )
+--R   (96)  ----------
+--R              3
+--R             x
+--R                                                     Type: Expression Integer
+--E 96
+
+--S 97 of 500
+r0019:= -1/8/x^2*(3*n^3+6*n^2*log(a*x^n)+6*n*log(a*x^n)^2+4*log(a*x^n)^3)
+--R 
+--R
+--R                   n 3             n 2     2       n      3
+--R         - 4log(a x )  - 6n log(a x )  - 6n log(a x ) - 3n
+--R   (97)  --------------------------------------------------
+--R                                   2
+--R                                 8x
+--R                                                     Type: Expression Integer
+--E 97
+
+--S 98 of 500
+a0019:= integrate(t0019,x)
+--R 
+--R
+--R   (98)
+--R           3      3         2           3       2
+--R       - 4n log(x)  + (- 12n log(a) - 6n )log(x)
+--R     + 
+--R                    2      2           3                 3            2
+--R       (- 12n log(a)  - 12n log(a) - 6n )log(x) - 4log(a)  - 6n log(a)
+--R     + 
+--R           2           3
+--R       - 6n log(a) - 3n
+--R  /
+--R       2
+--R     8x
+--R                                          Type: Union(Expression Integer,...)
+--E 98
+
+--S 99 of 500
+m0019:= a0019-r0019
+--R 
+--R
+--R   (99)
+--R               n 3             n 2     2       n      3      3
+--R       2log(a x )  + 3n log(a x )  + 3n log(a x ) - 2n log(x)
+--R     + 
+--R            2           3       2               2     2           3
+--R       (- 6n log(a) - 3n )log(x)  + (- 6n log(a)  - 6n log(a) - 3n )log(x)
+--R     + 
+--R                3            2     2
+--R       - 2log(a)  - 3n log(a)  - 3n log(a)
+--R  /
+--R       2
+--R     4x
+--R                                                     Type: Expression Integer
+--E 99
+
+--S 100 of 500
+d0019:= D(m0019,x)
+--R 
+--R
+--R   (100)
+--R           n       n 3          n         n - 1        n 2
+--R       - 4x log(a x )  + (- 6n x  + 6n x x     )log(a x )
+--R     + 
+--R            2 n     2   n - 1        n
+--R       (- 6n x  + 6n x x     )log(a x )
+--R     + 
+--R          3      3      2            2             2                3     3  n
+--R       (4n log(x)  + 12n log(a)log(x)  + 12n log(a) log(x) + 4log(a)  - 3n )x
+--R     + 
+--R         3   n - 1
+--R       3n x x
+--R  /
+--R       3 n
+--R     4x x
+--R                                                     Type: Expression Integer
+--E 100
+
+--S 101 of 500
+t0020:= x^m*log(a*x^n)^3
+--R 
+--R
+--R           m       n 3
+--R   (101)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 101
+
+--S 102 of 500
+r0020:= -6*n^3*x^(1+m)/(1+m)^4+6*n^2*x^(1+m)*log(a*x^n)/(1+m)^3-3*n*x^(1+m)*log(a*x^n)^2/(1+m)^2+x^(1+m)*log(a*x^n)^3/(1+m)
+--R 
+--R
+--R   (102)
+--R         3     2           m + 1       n 3        2             m + 1       n 2
+--R       (m  + 3m  + 3m + 1)x     log(a x )  + (- 3m  - 6m - 3)n x     log(a x )
+--R     + 
+--R                2 m + 1       n      3 m + 1
+--R       (6m + 6)n x     log(a x ) - 6n x
+--R  /
+--R      4     3     2
+--R     m  + 4m  + 6m  + 4m + 1
+--R                                                     Type: Expression Integer
+--E 102
+
+--S 103 of 500
+a0020:= integrate(t0020,x)
+--R 
+--R
+--R   (103)
+--R           3     2           3        3
+--R         (m  + 3m  + 3m + 1)n x log(x)
+--R       + 
+--R             3     2           2                2           3        2
+--R         ((3m  + 9m  + 9m + 3)n x log(a) + (- 3m  - 6m - 3)n x)log(x)
+--R       + 
+--R                3     2                    2        2            2
+--R             (3m  + 9m  + 9m + 3)n x log(a)  + (- 6m  - 12m - 6)n x log(a)
+--R           + 
+--R                      3
+--R             (6m + 6)n x
+--R        *
+--R           log(x)
+--R       + 
+--R           3     2                  3        2                    2
+--R         (m  + 3m  + 3m + 1)x log(a)  + (- 3m  - 6m - 3)n x log(a)
+--R       + 
+--R                  2             3
+--R         (6m + 6)n x log(a) - 6n x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      4     3     2
+--R     m  + 4m  + 6m  + 4m + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 103
+
+--S 104 of 500
+m0020:= a0020-r0020
+--R 
+--R
+--R   (104)
+--R           3     2           m + 1       n 3      2             m + 1       n 2
+--R       (- m  - 3m  - 3m - 1)x     log(a x )  + (3m  + 6m + 3)n x     log(a x )
+--R     + 
+--R                  2 m + 1       n
+--R       (- 6m - 6)n x     log(a x )
+--R     + 
+--R             3     2           3        3
+--R           (m  + 3m  + 3m + 1)n x log(x)
+--R         + 
+--R               3     2           2                2           3        2
+--R           ((3m  + 9m  + 9m + 3)n x log(a) + (- 3m  - 6m - 3)n x)log(x)
+--R         + 
+--R                  3     2                    2        2            2
+--R               (3m  + 9m  + 9m + 3)n x log(a)  + (- 6m  - 12m - 6)n x log(a)
+--R             + 
+--R                        3
+--R               (6m + 6)n x
+--R          *
+--R             log(x)
+--R         + 
+--R             3     2                  3        2                    2
+--R           (m  + 3m  + 3m + 1)x log(a)  + (- 3m  - 6m - 3)n x log(a)
+--R         + 
+--R                    2             3
+--R           (6m + 6)n x log(a) - 6n x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R         3 m + 1
+--R       6n x
+--R  /
+--R      4     3     2
+--R     m  + 4m  + 6m  + 4m + 1
+--R                                                     Type: Expression Integer
+--E 104
+
+--S 105 of 500
+d0020:= D(m0020,x)
+--R 
+--R
+--R   (105)
+--R           3     2           m n       n 3
+--R       (- m  - 3m  - 3m - 1)x x log(a x )
+--R     + 
+--R           2             m n        2             m + 1 n - 1        n 2
+--R       ((3m  + 6m + 3)n x x  + (- 3m  - 6m - 3)n x     x     )log(a x )
+--R     + 
+--R                   2 m n            2 m + 1 n - 1        n
+--R       ((- 6m - 6)n x x  + (6m + 6)n x     x     )log(a x )
+--R     + 
+--R             3     2           3      3      3     2           2            2
+--R           (m  + 3m  + 3m + 1)n log(x)  + (3m  + 9m  + 9m + 3)n log(a)log(x)
+--R         + 
+--R              3     2                  2           3     2                3
+--R           (3m  + 9m  + 9m + 3)n log(a) log(x) + (m  + 3m  + 3m + 1)log(a)
+--R      *
+--R          n  m log(x)
+--R         x %e
+--R     + 
+--R         3 m n     3 m + 1 n - 1
+--R       6n x x  - 6n x     x
+--R  /
+--R       3     2           n
+--R     (m  + 3m  + 3m + 1)x
+--R                                                     Type: Expression Integer
+--E 105
+
+--S 106 of 500
+t0021:= 1/log(a*x)
+--R 
+--R
+--R              1
+--R   (106)  --------
+--R          log(a x)
+--R                                                     Type: Expression Integer
+--E 106
+
+--S 107 of 500
+r0021:= li(a*x)/a
+--R 
+--R
+--R          li(a x)
+--R   (107)  -------
+--R             a
+--R                                                     Type: Expression Integer
+--E 107
+
+--S 108 of 500
+a0021:= integrate(t0021,x)
+--R 
+--R
+--R          li(a x)
+--R   (108)  -------
+--R             a
+--R                                          Type: Union(Expression Integer,...)
+--E 108
+
+--S 109 of 500
+m0021:= a0021-r0021
+--R 
+--R
+--R   (109)  0
+--R                                                     Type: Expression Integer
+--E 109
+
+--S 110 of 500
+d0021:= D(m0021,x)
+--R 
+--R
+--R   (110)  0
+--R                                                     Type: Expression Integer
+--E 110
+
+--S 111 of 500
+t0022:= x^m/log(a*x)
+--R 
+--R
+--R              m
+--R             x
+--R   (111)  --------
+--R          log(a x)
+--R                                                     Type: Expression Integer
+--E 111
+
+--S 112 of 500
+r0022:= x^m/a*(a*x)^(-m)*Ei((1+m)*log(a*x))
+--R 
+--R
+--R           m     - m
+--R          x (a x)   Ei((m + 1)log(a x))
+--R   (112)  -----------------------------
+--R                        a
+--R                                                     Type: Expression Integer
+--E 112
+
+--S 113 of 500
+a0022:= integrate(t0022,x)
+--R 
+--R
+--R             x      m
+--R           ++     %D
+--R   (113)   |   --------- d%D
+--R          ++   log(%D a)
+--R                                          Type: Union(Expression Integer,...)
+--E 113
+
+--S 114 of 500
+--m0022:= a0022-r0022
+--E 114
+
+--S 115 of 500
+--d0022:= D(m0022,x)
+--E 115
+
+--S 116 of 500
+t0023:= 1/log(a*x^n)
+--R 
+--R
+--R              1
+--R   (114)  ---------
+--R                 n
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 116
+
+--S 117 of 500
+r0023:= x*Ei(log(a*x^n)/n)/n/((a*x^n)^(1/n))
+--R 
+--R
+--R                      n
+--R               log(a x )
+--R          x Ei(---------)
+--R                   n
+--R   (115)  ---------------
+--R                     1
+--R                     -
+--R                   n n
+--R             n (a x )
+--R                                                     Type: Expression Integer
+--E 117
+
+--S 118 of 500
+a0023:= integrate(t0023,x)
+--R 
+--R
+--R             x
+--R           ++       1
+--R   (116)   |   ---------- d%D
+--R          ++           n
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 118
+
+--S 119 of 500
+--m0023:= a0023-r0023
+--E 119
+
+--S 120 of 500
+--d0023:= D(m0023,x)
+--E 120
+
+--S 121 of 500
+t0024:= x/log(a*x^n)
+--R 
+--R
+--R              x
+--R   (117)  ---------
+--R                 n
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 121
+
+--S 122 of 500
+r0024:= x^2*Ei(2*log(a*x^n)/n)/n*(a*x^n)^(-2/n)
+--R 
+--R
+--R                    2
+--R                  - -           n
+--R           2    n   n   2log(a x )
+--R          x (a x )   Ei(----------)
+--R                             n
+--R   (118)  -------------------------
+--R                      n
+--R                                                     Type: Expression Integer
+--E 122
+
+--S 123 of 500
+--a0024:= integrate(t0024,x)
+--E 123
+
+--S 124 of 500
+--m0024:= a0024-r0024
+--E 124
+
+--S 125 of 500
+d0024:= D(m0024,x)
+--R 
+--R
+--R   (119)  0
+--R                                                     Type: Polynomial Integer
+--E 125
+
+--S 126 of 500
+t0025:= x^2/log(a*x^n)
+--R 
+--R
+--R               2
+--R              x
+--R   (120)  ---------
+--R                 n
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 126
+
+--S 127 of 500
+r0025:= x^3*Ei(3*log(a*x^n)/n)/n*(a*x^n)^(-3/n)
+--R 
+--R
+--R                    3
+--R                  - -           n
+--R           3    n   n   3log(a x )
+--R          x (a x )   Ei(----------)
+--R                             n
+--R   (121)  -------------------------
+--R                      n
+--R                                                     Type: Expression Integer
+--E 127
+
+--S 128 of 500
+a0025:= integrate(t0025,x)
+--R 
+--R
+--R             x       2
+--R           ++      %D
+--R   (122)   |   ---------- d%D
+--R          ++           n
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 128
+
+--S 129 of 500
+--m0025:= a0025-r0025
+--E 129
+
+--S 130 of 500
+--d0025:= D(m0025,x)
+--E 130
+
+--S 131 of 500
+t0026:= x^3/log(a*x^n)
+--R 
+--R
+--R               3
+--R              x
+--R   (123)  ---------
+--R                 n
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 131
+
+--S 132 of 500
+r0026:= x^4*Ei(4*log(a*x^n)/n)/n*(a*x^n)^(-4/n)
+--R 
+--R
+--R                    4
+--R                  - -           n
+--R           4    n   n   4log(a x )
+--R          x (a x )   Ei(----------)
+--R                             n
+--R   (124)  -------------------------
+--R                      n
+--R                                                     Type: Expression Integer
+--E 132
+
+--S 133 of 500
+a0026:= integrate(t0026,x)
+--R 
+--R
+--R             x       3
+--R           ++      %D
+--R   (125)   |   ---------- d%D
+--R          ++           n
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 133
+
+--S 134 of 500
+--m0026:= a0026-r0026
+--E 134
+
+--S 135 of 500
+--d0026:= D(m0026,x)
+--E 135
+
+--S 136 of 500
+t0027:= 1/x^2/log(a*x^n)
+--R 
+--R
+--R               1
+--R   (126)  -----------
+--R           2       n
+--R          x log(a x )
+--R                                                     Type: Expression Integer
+--E 136
+
+--S 137 of 500
+r0027:= (a*x^n)^(1/n)*Ei(-log(a*x^n)/n)/n/x
+--R 
+--R
+--R                1
+--R                -            n
+--R              n n     log(a x )
+--R          (a x ) Ei(- ---------)
+--R                          n
+--R   (127)  ----------------------
+--R                    n x
+--R                                                     Type: Expression Integer
+--E 137
+
+--S 138 of 500
+a0027:= integrate(t0027,x)
+--R 
+--R
+--R             x
+--R           ++        1
+--R   (128)   |   ------------- d%D
+--R          ++     2        n
+--R               %D log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 138
+
+--S 139 of 500
+--m0027:= a0027-r0027
+--E 139
+
+--S 140 of 500
+--d0027:= D(m0027,x)
+--E 140
+
+--S 141 of 500
+t0028:= 1/x^3/log(a*x^n)
+--R 
+--R
+--R               1
+--R   (129)  -----------
+--R           3       n
+--R          x log(a x )
+--R                                                     Type: Expression Integer
+--E 141
+
+--S 142 of 500
+r0028:= (a*x^n)^(2/n)*Ei(-2*log(a*x^n)/n)/n/x^2
+--R 
+--R
+--R                2
+--R                -             n
+--R              n n     2log(a x )
+--R          (a x ) Ei(- ----------)
+--R                           n
+--R   (130)  -----------------------
+--R                       2
+--R                    n x
+--R                                                     Type: Expression Integer
+--E 142
+
+--S 143 of 500
+a0028:= integrate(t0028,x)
+--R 
+--R
+--R             x
+--R           ++        1
+--R   (131)   |   ------------- d%D
+--R          ++     3        n
+--R               %D log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 143
+
+--S 144 of 500
+--m0028:= a0028-r0028
+--E 144
+
+--S 145 of 500
+--d0028:= D(m0028,x)
+--E 145
+
+--S 146 of 500
+t0029:= x^m/log(a*x^n)
+--R 
+--R
+--R               m
+--R              x
+--R   (132)  ---------
+--R                 n
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 146
+
+--S 147 of 500
+r0029:= x^(1+m)*Ei((1+m)*log(a*x^n)/n)/n*(a*x^n)^(-(1+m)/n)
+--R 
+--R
+--R                      - m - 1
+--R                      -------                 n
+--R           m + 1    n    n      (m + 1)log(a x )
+--R          x     (a x )       Ei(----------------)
+--R                                        n
+--R   (133)  ---------------------------------------
+--R                             n
+--R                                                     Type: Expression Integer
+--E 147
+
+--S 148 of 500
+a0029:= integrate(t0029,x)
+--R 
+--R
+--R             x       m
+--R           ++      %D
+--R   (134)   |   ---------- d%D
+--R          ++           n
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 148
+
+--S 149 of 500
+--m0029:= a0029-r0029
+--E 149
+
+--S 150 of 500
+--d0029:= D(m0029,x)
+--E 150
+
+--S 151 of 500
+t0030:= x^m/log(c*(a*x^n)^p)
+--R 
+--R
+--R                 m
+--R                x
+--R   (135)  --------------
+--R                    n p
+--R          log(c (a x ) )
+--R                                                     Type: Expression Integer
+--E 151
+
+--S 152 of 500
+r0030:= x^(1+m)*Ei((1+m)*log(c*(a*x^n)^p)/n/p)*(c*(a*x^n)^p)^(-(1+m)/n/p)/n/p
+--R 
+--R
+--R                           - m - 1
+--R                           -------                    n p
+--R           m + 1       n p   n p     (m + 1)log(c (a x ) )
+--R          x     (c (a x ) )       Ei(---------------------)
+--R                                              n p
+--R   (136)  -------------------------------------------------
+--R                                 n p
+--R                                                     Type: Expression Integer
+--E 152
+
+--S 153 of 500
+a0030:= integrate(t0030,x)
+--R 
+--R
+--R             x         m
+--R           ++        %D
+--R   (137)   |   --------------- d%D
+--R          ++              n p
+--R               log(c (a %D ) )
+--R                                          Type: Union(Expression Integer,...)
+--E 153
+
+--S 154 of 500
+--m0030:= a0030-r0030
+--E 154
+
+--S 155 of 500
+--d0030:= D(m0030,x)
+--E 155
+
+--S 156 of 500
+t0031:= x^m/log(a*x)^2
+--R 
+--R
+--R               m
+--R              x
+--R   (138)  ---------
+--R                  2
+--R          log(a x)
+--R                                                     Type: Expression Integer
+--E 156
+
+--S 157 of 500
+r0031:= (1+m)*x^(1+m)*(a*x)^(-1-m)*Ei((1+m)*log(a*x))-x^(1+m)/log(a*x)
+--R 
+--R
+--R                          m + 1     - m - 1                       m + 1
+--R          (m + 1)log(a x)x     (a x)       Ei((m + 1)log(a x)) - x
+--R   (139)  -------------------------------------------------------------
+--R                                     log(a x)
+--R                                                     Type: Expression Integer
+--E 157
+
+--S 158 of 500
+a0031:= integrate(t0031,x)
+--R 
+--R
+--R             x       m
+--R           ++      %D
+--R   (140)   |   ---------- d%D
+--R          ++            2
+--R               log(%D a)
+--R                                          Type: Union(Expression Integer,...)
+--E 158
+
+--S 159 of 500
+--m0031:= a0031-r0031
+--E 159
+
+--S 160 of 500
+--d0031:= D(m0031,x)
+--E 160
+
+--S 161 of 500
+t0032:= 1/log(a*x^n)^2
+--R 
+--R
+--R               1
+--R   (141)  ----------
+--R                 n 2
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 161
+
+--S 162 of 500
+r0032:= x*Ei(log(a*x^n)/n)/((a*x^n)^(1/n))/n^2-x/n/log(a*x^n)
+--R 
+--R
+--R                                               1
+--R                               n               -
+--R                   n    log(a x )            n n
+--R          x log(a x )Ei(---------) - n x (a x )
+--R                            n
+--R   (142)  --------------------------------------
+--R                                     1
+--R                                     -
+--R                     2       n     n n
+--R                    n log(a x )(a x )
+--R                                                     Type: Expression Integer
+--E 162
+
+--S 163 of 500
+a0032:= integrate(t0032,x)
+--R 
+--R
+--R             x
+--R           ++       1
+--R   (143)   |   ----------- d%D
+--R          ++           n 2
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 163
+
+--S 164 of 500
+--m0032:= a0032-r0032
+--E 164
+
+--S 165 of 500
+--d0032:= D(m0032,x)
+--E 165
+
+--S 166 of 500
+t0033:= x/log(a*x^n)^2
+--R 
+--R
+--R               x
+--R   (144)  ----------
+--R                 n 2
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 166
+
+--S 167 of 500
+r0033:= 2*x^2*Ei(2*log(a*x^n)/n)/((a*x^n)^(2/n))/n^2-x^2/n/log(a*x^n)
+--R 
+--R
+--R                                                 2
+--R                                 n               -
+--R            2       n    2log(a x )       2    n n
+--R          2x log(a x )Ei(----------) - n x (a x )
+--R                              n
+--R   (145)  ----------------------------------------
+--R                                      2
+--R                                      -
+--R                      2       n     n n
+--R                     n log(a x )(a x )
+--R                                                     Type: Expression Integer
+--E 167
+
+--S 168 of 500
+a0033:= integrate(t0033,x)
+--R 
+--R
+--R             x
+--R           ++       %D
+--R   (146)   |   ----------- d%D
+--R          ++           n 2
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 168
+
+--S 169 of 500
+--m0033:= a0033-r0033
+--E 169
+
+--S 170 of 500
+--d0033:= D(m0033,x)
+--E 170
+
+--S 171 of 500
+t0034:= x^2/log(a*x^n)^2
+--R 
+--R
+--R               2
+--R              x
+--R   (147)  ----------
+--R                 n 2
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 171
+
+--S 172 of 500
+r0034:= 3*x^3*Ei(3*log(a*x^n)/n)/((a*x^n)^(3/n))/n^2-x^3/n/log(a*x^n)
+--R 
+--R
+--R                                                 3
+--R                                 n               -
+--R            3       n    3log(a x )       3    n n
+--R          3x log(a x )Ei(----------) - n x (a x )
+--R                              n
+--R   (148)  ----------------------------------------
+--R                                      3
+--R                                      -
+--R                      2       n     n n
+--R                     n log(a x )(a x )
+--R                                                     Type: Expression Integer
+--E 172
+
+--S 173 of 500
+a0034:= integrate(t0034,x)
+--R 
+--R
+--R             x       2
+--R           ++      %D
+--R   (149)   |   ----------- d%D
+--R          ++           n 2
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 173
+
+--S 174 of 500
+--m0034:= a0034-r0034
+--E 174
+
+--S 175 of 500
+--d0034:= D(m0034,x)
+--E 175
+
+--S 176 of 500
+t0035:= x^3/log(a*x^n)^2
+--R 
+--R
+--R               3
+--R              x
+--R   (150)  ----------
+--R                 n 2
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 176
+
+--S 177 of 500
+r0035:= 4*x^4*Ei(4*log(a*x^n)/n)/((a*x^n)^(4/n))/n^2-x^4/n/log(a*x^n)
+--R 
+--R
+--R                                                 4
+--R                                 n               -
+--R            4       n    4log(a x )       4    n n
+--R          4x log(a x )Ei(----------) - n x (a x )
+--R                              n
+--R   (151)  ----------------------------------------
+--R                                      4
+--R                                      -
+--R                      2       n     n n
+--R                     n log(a x )(a x )
+--R                                                     Type: Expression Integer
+--E 177
+
+--S 178 of 500
+a0035:= integrate(t0035,x)
+--R 
+--R
+--R             x       3
+--R           ++      %D
+--R   (152)   |   ----------- d%D
+--R          ++           n 2
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 178
+
+--S 179 of 500
+--m0035:= a0035-r0035
+--E 179
+
+--S 180 of 500
+--d0035:= D(m0035,x)
+--E 180
+
+--S 181 of 500
+t0036:= 1/x^2/log(a*x^n)^2
+--R 
+--R
+--R                1
+--R   (153)  ------------
+--R           2       n 2
+--R          x log(a x )
+--R                                                     Type: Expression Integer
+--E 181
+
+--S 182 of 500
+r0036:= -(a*x^n)^(1/n)*Ei(-log(a*x^n)/n)/n^2/x-1/n/x/log(a*x^n)
+--R 
+--R
+--R                           1
+--R                           -            n
+--R                   n     n n     log(a x )
+--R          - log(a x )(a x ) Ei(- ---------) - n
+--R                                     n
+--R   (154)  -------------------------------------
+--R                       2         n
+--R                      n x log(a x )
+--R                                                     Type: Expression Integer
+--E 182
+
+--S 183 of 500
+a0036:= integrate(t0036,x)
+--R 
+--R
+--R             x
+--R           ++         1
+--R   (155)   |   -------------- d%D
+--R          ++     2        n 2
+--R               %D log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 183
+
+--S 184 of 500
+--m0036:= a0036-r0036
+--E 184
+
+--S 185 of 500
+--d0036:= D(m0036,x)
+--E 185
+
+--S 186 of 500
+t0037:= 1/x^3/log(a*x^n)^2
+--R 
+--R
+--R                1
+--R   (156)  ------------
+--R           3       n 2
+--R          x log(a x )
+--R                                                     Type: Expression Integer
+--E 186
+
+--S 187 of 500
+r0037:= -2*(a*x^n)^(2/n)*Ei(-2*log(a*x^n)/n)/n^2/x^2-1/n/x^2/log(a*x^n)
+--R 
+--R
+--R                            2
+--R                            -             n
+--R                    n     n n     2log(a x )
+--R          - 2log(a x )(a x ) Ei(- ----------) - n
+--R                                       n
+--R   (157)  ---------------------------------------
+--R                        2 2       n
+--R                       n x log(a x )
+--R                                                     Type: Expression Integer
+--E 187
+
+--S 188 of 500
+a0037:= integrate(t0037,x)
+--R 
+--R
+--R             x
+--R           ++         1
+--R   (158)   |   -------------- d%D
+--R          ++     3        n 2
+--R               %D log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 188
+
+--S 189 of 500
+--m0037:= a0037-r0037
+--E 189
+
+--S 190 of 500
+--d0037:= D(m0037,x)
+--E 190
+
+--S 191 of 500
+t0038:= x^m/log(a*x^n)^2
+--R 
+--R
+--R               m
+--R              x
+--R   (159)  ----------
+--R                 n 2
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 191
+
+--S 192 of 500
+r0038:= (1+m)*x^(1+m)*Ei((1+m)*log(a*x^n)/n)/((a*x^n)^((1+m)/n))/n^2-x^(1+m)/n/log(a*x^n)
+--R 
+--R
+--R                                                                     m + 1
+--R                                                 n                   -----
+--R                  m + 1       n    (m + 1)log(a x )       m + 1    n   n
+--R          (m + 1)x     log(a x )Ei(----------------) - n x     (a x )
+--R                                           n
+--R   (160)  ----------------------------------------------------------------
+--R                                                m + 1
+--R                                                -----
+--R                                2       n     n   n
+--R                               n log(a x )(a x )
+--R                                                     Type: Expression Integer
+--E 192
+
+--S 193 of 500
+a0038:= integrate(t0038,x)
+--R 
+--R
+--R             x       m
+--R           ++      %D
+--R   (161)   |   ----------- d%D
+--R          ++           n 2
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 193
+
+--S 194 of 500
+--m0038:= a0038-r0038
+--E 194
+
+--S 195 of 500
+--d0038:= D(m0038,x)
+--E 195
+
+--S 196 of 500
+t0039:= x^m/log(a*x)^3
+--R 
+--R
+--R               m
+--R              x
+--R   (162)  ---------
+--R                  3
+--R          log(a x)
+--R                                                     Type: Expression Integer
+--E 196
+
+--S 197 of 500
+r0039:= 1/2*(1+m)^2*x^(1+m)*(a*x)^(-1-m)*Ei((1+m)*log(a*x))-1/2*x^(1+m)/log(a*x)^2-1/2*(1+m)*x^(1+m)/log(a*x)
+--R 
+--R
+--R   (163)
+--R         2                  2 m + 1     - m - 1
+--R       (m  + 2m + 1)log(a x) x     (a x)       Ei((m + 1)log(a x))
+--R     + 
+--R                               m + 1
+--R       ((- m - 1)log(a x) - 1)x
+--R  /
+--R              2
+--R     2log(a x)
+--R                                                     Type: Expression Integer
+--E 197
+
+--S 198 of 500
+a0039:= integrate(t0039,x)
+--R 
+--R
+--R             x       m
+--R           ++      %D
+--R   (164)   |   ---------- d%D
+--R          ++            3
+--R               log(%D a)
+--R                                          Type: Union(Expression Integer,...)
+--E 198
+
+--S 199 of 500
+--m0039:= a0039-r0039
+--E 199
+
+--S 200 of 500
+--d0039:= D(m0039,x)
+--E 200
+
+--S 201 of 500
+t0040:= 1/log(a*x^n)^3
+--R 
+--R
+--R               1
+--R   (165)  ----------
+--R                 n 3
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 201
+
+--S 202 of 500
+r0040:= 1/2/n^3/log(a*x^n)^2*x*(Ei(log(a*x^n)/n)*(a*x^n)^(-1/n)*log(a*x^n)^2-n^2-n*log(a*x^n))
+--R 
+--R
+--R                              1
+--R                            - -          n
+--R                   n 2    n   n   log(a x )               n     2
+--R          x log(a x ) (a x )   Ei(---------) - n x log(a x ) - n x
+--R                                      n
+--R   (166)  --------------------------------------------------------
+--R                                  3       n 2
+--R                                2n log(a x )
+--R                                                     Type: Expression Integer
+--E 202
+
+--S 203 of 500
+a0040:= integrate(t0040,x)
+--R 
+--R
+--R             x
+--R           ++       1
+--R   (167)   |   ----------- d%D
+--R          ++           n 3
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 203
+
+--S 204 of 500
+--m0040:= a0040-r0040
+--E 204
+
+--S 205 of 500
+--d0040:= D(m0040,x)
+--E 205
+
+--S 206 of 500
+t0041:= x/log(a*x^n)^3
+--R 
+--R
+--R               x
+--R   (168)  ----------
+--R                 n 3
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 206
+
+--S 207 of 500
+r0041:= 1/2/n^3/log(a*x^n)^2*x^2*(4*Ei(2*log(a*x^n)/n)*(a*x^n)^(-2/n)*log(a*x^n)^2-n^2-2*n*log(a*x^n))
+--R 
+--R
+--R                               2
+--R                             - -           n
+--R            2       n 2    n   n   2log(a x )        2       n     2 2
+--R          4x log(a x ) (a x )   Ei(----------) - 2n x log(a x ) - n x
+--R                                        n
+--R   (169)  ------------------------------------------------------------
+--R                                    3       n 2
+--R                                  2n log(a x )
+--R                                                     Type: Expression Integer
+--E 207
+
+--S 208 of 500
+a0041:= integrate(t0041,x)
+--R 
+--R
+--R             x
+--R           ++       %D
+--R   (170)   |   ----------- d%D
+--R          ++           n 3
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 208
+
+--S 209 of 500
+--m0041:= a0041-r0041
+--E 209
+
+--S 210 of 500
+--d0041:= D(m0041,x)
+--E 210
+
+--S 211 of 500
+t0042:= x^2/log(a*x^n)^3
+--R 
+--R
+--R               2
+--R              x
+--R   (171)  ----------
+--R                 n 3
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 211
+
+--S 212 of 500
+r0042:= 1/2/n^3/log(a*x^n)^2*x^3*(9*Ei(3*log(a*x^n)/n)*(a*x^n)^(-3/n)*log(a*x^n)^2-n^2-3*n*log(a*x^n))
+--R 
+--R
+--R                               3
+--R                             - -           n
+--R            3       n 2    n   n   3log(a x )        3       n     2 3
+--R          9x log(a x ) (a x )   Ei(----------) - 3n x log(a x ) - n x
+--R                                        n
+--R   (172)  ------------------------------------------------------------
+--R                                    3       n 2
+--R                                  2n log(a x )
+--R                                                     Type: Expression Integer
+--E 212
+
+--S 213 of 500
+a0042:= integrate(t0042,x)
+--R 
+--R
+--R             x       2
+--R           ++      %D
+--R   (173)   |   ----------- d%D
+--R          ++           n 3
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 213
+
+--S 214 of 500
+--m0042:= a0042-r0042
+--E 214
+
+--S 215 of 500
+--d0042:= D(m0042,x)
+--E 215
+
+--S 216 of 500
+t0043:= x^3/log(a*x^n)^3
+--R 
+--R
+--R               3
+--R              x
+--R   (174)  ----------
+--R                 n 3
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 216
+
+--S 217 of 500
+r0043:= 1/2/n^3/log(a*x^n)^2*x^4*(16*Ei(4*log(a*x^n)/n)*(a*x^n)^(-4/n)*log(a*x^n)^2-n^2-4*n*log(a*x^n))
+--R 
+--R
+--R                                4
+--R                              - -           n
+--R             4       n 2    n   n   4log(a x )        4       n     2 4
+--R          16x log(a x ) (a x )   Ei(----------) - 4n x log(a x ) - n x
+--R                                         n
+--R   (175)  -------------------------------------------------------------
+--R                                    3       n 2
+--R                                  2n log(a x )
+--R                                                     Type: Expression Integer
+--E 217
+
+--S 218 of 500
+a0043:= integrate(t0043,x)
+--R 
+--R
+--R             x       3
+--R           ++      %D
+--R   (176)   |   ----------- d%D
+--R          ++           n 3
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 218
+
+--S 219 of 500
+--m0043:= a0043-r0043
+--E 219
+
+--S 220 of 500
+--d0043:= D(m0043,x)
+--E 220
+
+--S 221 of 500
+t0044:= 1/x^2/log(a*x^n)^3
+--R 
+--R
+--R                1
+--R   (177)  ------------
+--R           2       n 3
+--R          x log(a x )
+--R                                                     Type: Expression Integer
+--E 221
+
+--S 222 of 500
+r0044:= 1/2/n^3/x/log(a*x^n)^2*((a*x^n)^(1/n)*Ei(-log(a*x^n)/n)*log(a*x^n)^2-n^2+n*log(a*x^n))
+--R 
+--R
+--R                          1
+--R                          -            n
+--R                 n 2    n n     log(a x )             n     2
+--R          log(a x ) (a x ) Ei(- ---------) + n log(a x ) - n
+--R                                    n
+--R   (178)  ---------------------------------------------------
+--R                              3         n 2
+--R                            2n x log(a x )
+--R                                                     Type: Expression Integer
+--E 222
+
+--S 223 of 500
+a0044:= integrate(t0044,x)
+--R 
+--R
+--R             x
+--R           ++         1
+--R   (179)   |   -------------- d%D
+--R          ++     2        n 3
+--R               %D log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 223
+
+--S 224 of 500
+--m0044:= a0044-r0044
+--E 224
+
+--S 225 of 500
+--d0044:= D(m0044,x)
+--E 225
+
+--S 226 of 500
+t0045:= 1/x^3/log(a*x^n)^3
+--R 
+--R
+--R                1
+--R   (180)  ------------
+--R           3       n 3
+--R          x log(a x )
+--R                                                     Type: Expression Integer
+--E 226
+
+--S 227 of 500
+r0045:= 2*(a*x^n)^(2/n)*Ei(-2*log(a*x^n)/n)/n^3/x^2-1/2/n/x^2/log(a*x^n)^2+1/n^2/x^2/log(a*x^n)
+--R 
+--R
+--R                           2
+--R                           -             n
+--R                  n 2    n n     2log(a x )              n     2
+--R          4log(a x ) (a x ) Ei(- ----------) + 2n log(a x ) - n
+--R                                      n
+--R   (181)  ------------------------------------------------------
+--R                                3 2       n 2
+--R                              2n x log(a x )
+--R                                                     Type: Expression Integer
+--E 227
+
+--S 228 of 500
+a0045:= integrate(t0045,x)
+--R 
+--R
+--R             x
+--R           ++         1
+--R   (182)   |   -------------- d%D
+--R          ++     3        n 3
+--R               %D log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 228
+
+--S 229 of 500
+--m0045:= a0045-r0045
+--E 229
+
+--S 230 of 500
+--d0045:= D(m0045,x)
+--E 230
+
+--S 231 of 500
+t0046:= x^m/log(a*x^n)^3
+--R 
+--R
+--R               m
+--R              x
+--R   (183)  ----------
+--R                 n 3
+--R          log(a x )
+--R                                                     Type: Expression Integer
+--E 231
+
+--S 232 of 500
+r0046:= 1/2*(1+m)^2*x^(1+m)*Ei((1+m)*log(a*x^n)/n)/((a*x^n)^((1+m)/n))/n^3-1/2*x^(1+m)/n/log(a*x^n)^2-1/2*(1+m)*x^(1+m)/n^2/log(a*x^n)
+--R 
+--R
+--R   (184)
+--R                                                     n
+--R         2           m + 1       n 2   (m + 1)log(a x )
+--R       (m  + 2m + 1)x     log(a x ) Ei(----------------)
+--R                                               n
+--R     + 
+--R                                                    m + 1
+--R                                                    -----
+--R                    m + 1       n     2 m + 1     n   n
+--R       ((- m - 1)n x     log(a x ) - n x     )(a x )
+--R  /
+--R                        m + 1
+--R                        -----
+--R       3       n 2    n   n
+--R     2n log(a x ) (a x )
+--R                                                     Type: Expression Integer
+--E 232
+
+--S 233 of 500
+a0046:= integrate(t0046,x)
+--R 
+--R
+--R             x       m
+--R           ++      %D
+--R   (185)   |   ----------- d%D
+--R          ++           n 3
+--R               log(a %D )
+--R                                          Type: Union(Expression Integer,...)
+--E 233
+
+--S 234 of 500
+--m0046:= a0046-r0046
+--E 234
+
+--S 235 of 500
+--d0046:= D(m0046,x)
+--E 235
+
+--S 236 of 500
+t0047:= log(a*x^n)^(3/2)
+--R 
+--R
+--R                    +---------+
+--R                 n  |       n
+--R   (186)  log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 236
+
+--S 237 of 500
+r0047:= 1/4*x*(3*(a*x^n)^(-1/n)*n^(3/2)*%pi^(1/2)*erfi(log(a*x^n)^(1/2)/n^(1/2))-6*n*log(a*x^n)^(1/2)+4*log(a*x^n)^(3/2))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 237
+
+--S 238 of 500
+a0047:= integrate(t0047,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 238
+
+--S 239 of 500
+--m0047:= a0047-r0047
+--E 239
+
+--S 240 of 500
+--d0047:= D(m0047,x)
+--E 240
+
+--S 241 of 500
+t0048:= x*log(a*x^n)^(3/2)
+--R 
+--R
+--R                      +---------+
+--R                   n  |       n
+--R   (187)  x log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 241
+
+--S 242 of 500
+r0048:= 1/32*x^2*(3*(a*x^n)^(-2/n)*n^(3/2)*2^(1/2)*%pi^(1/2)*erfi(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))-12*n*log(a*x^n)^(1/2)+16*log(a*x^n)^(3/2))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 242
+
+--S 243 of 500
+a0048:= integrate(t0048,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 243
+
+--S 244 of 500
+--m0048:= a0048-r0048
+--E 244
+
+--S 245 of 500
+--d0048:= D(m0048,x)
+--E 245
+
+--S 246 of 500
+t0049:= x^2*log(a*x^n)^(3/2)
+--R 
+--R
+--R                      +---------+
+--R           2       n  |       n
+--R   (188)  x log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 246
+
+--S 247 of 500
+r0049:= 1/36*x^3*((a*x^n)^(-3/n)*n^(3/2)*3^(1/2)*%pi^(1/2)*erfi(3^(1/2)*log(a*x^n)^(1/2)/n^(1/2))-6*n*log(a*x^n)^(1/2)+12*log(a*x^n)^(3/2))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 247
+
+--S 248 of 500
+a0049:= integrate(t0049,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 248
+
+--S 249 of 500
+--m0049:= a0049-r0049
+--E 249
+
+--S 250 of 500
+--d0049:= D(m0049,x)
+--E 250
+
+--S 251 of 500
+t0050:= x^3*log(a*x^n)^(3/2)
+--R 
+--R
+--R                      +---------+
+--R           3       n  |       n
+--R   (189)  x log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 251
+
+--S 252 of 500
+r0050:= 1/128*x^4*(3*(a*x^n)^(-4/n)*n^(3/2)*%pi^(1/2)*erfi(2*log(a*x^n)^(1/2)/n^(1/2))-12*n*log(a*x^n)^(1/2)+32*log(a*x^n)^(3/2))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 252
+
+--S 253 of 500
+a0050:= integrate(t0050,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 253
+
+--S 254 of 500
+--m0050:= a0050-r0050
+--E 254
+
+--S 255 of 500
+--d0050:= D(m0050,x)
+--E 255
+
+--S 256 of 500
+t0051:= log(a*x^n)^(3/2)/x^2
+--R 
+--R
+--R                    +---------+
+--R                 n  |       n
+--R          log(a x )\|log(a x )
+--R   (190)  ---------------------
+--R                     2
+--R                    x
+--R                                                     Type: Expression Integer
+--E 256
+
+--S 257 of 500
+r0051:= -1/4*(-3*n^(3/2)*%pi^(1/2)*(a*x^n)^(1/n)*erf(log(a*x^n)^(1/2)/n^(1/2))+6*n*log(a*x^n)^(1/2)+4*log(a*x^n)^(3/2))/x
+--R 
+--R
+--R   (191)
+--R                     1     +---------+
+--R                     -     |       n                          +---------+
+--R      +-+ +---+    n n    \|log(a x )                n        |       n
+--R   3n\|n \|%pi (a x ) erf(------------) + (- 4log(a x ) - 6n)\|log(a x )
+--R                               +-+
+--R                              \|n
+--R   ----------------------------------------------------------------------
+--R                                     4x
+--R                                                     Type: Expression Integer
+--E 257
+
+--S 258 of 500
+a0051:= integrate(t0051,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 258
+
+--S 259 of 500
+--m0051:= a0051-r0051
+--E 259
+
+--S 260 of 500
+--d0051:= D(m0051,x)
+--E 260
+
+--S 261 of 500
+t0052:= log(a*x^n)^(3/2)/x^3
+--R 
+--R
+--R                    +---------+
+--R                 n  |       n
+--R          log(a x )\|log(a x )
+--R   (192)  ---------------------
+--R                     3
+--R                    x
+--R                                                     Type: Expression Integer
+--E 261
+
+--S 262 of 500
+r0052:= -1/32*(-3*n^(3/2)*2^(1/2)*%pi^(1/2)*(a*x^n)^(2/n)*erf(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))+12*n*log(a*x^n)^(1/2)+16*log(a*x^n)^(3/2))/x^2
+--R 
+--R
+--R   (193)
+--R                             2         +---------+
+--R                             -     +-+ |       n
+--R          +-+ +-+ +---+    n n    \|2 \|log(a x )
+--R       3n\|2 \|n \|%pi (a x ) erf(----------------)
+--R                                         +-+
+--R                                        \|n
+--R     + 
+--R                             +---------+
+--R                   n         |       n
+--R       (- 16log(a x ) - 12n)\|log(a x )
+--R  /
+--R        2
+--R     32x
+--R                                                     Type: Expression Integer
+--E 262
+
+--S 263 of 500
+a0052:= integrate(t0052,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 263
+
+--S 264 of 500
+--m0052:= a0052-r0052
+--E 264
+
+--S 265 of 500
+--d0052:= D(m0052,x)
+--E 265
+
+--S 266 of 500
+t0053:= x^m*log(a*x^n)^(3/2)
+--R 
+--R
+--R                      +---------+
+--R           m       n  |       n
+--R   (194)  x log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 266
+
+--S 267 of 500
+r0053:= 3/4*n^(3/2)*%pi^(1/2)*x^(1+m)*erfi((1+m)^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^((1+m)/n))/(1+m)^(5/2)-3/2*n*x^(1+m)*log(a*x^n)^(1/2)/(1+m)^2+x^(1+m)*log(a*x^n)^(3/2)/(1+m)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 267
+
+--S 268 of 500
+a0053:= integrate(t0053,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 268
+
+--S 269 of 500
+--m0053:= a0053-r0053
+--E 269
+
+--S 270 of 500
+--d0053:= D(m0053,x)
+--E 270
+
+--S 271 of 500
+t0054:= log(a*x^n)^(1/2)
+--R 
+--R
+--R           +---------+
+--R           |       n
+--R   (195)  \|log(a x )
+--R                                                     Type: Expression Integer
+--E 271
+
+--S 272 of 500
+r0054:= -1/2*n^(1/2)*%pi^(1/2)*x*erfi(log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^(1/n))+x*log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 272
+
+--S 273 of 500
+a0054:= integrate(t0054,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 273
+
+--S 274 of 500
+--m0054:= a0054-r0054
+--E 274
+
+--S 275 of 500
+--d0054:= D(m0054,x)
+--E 275
+
+--S 276 of 500
+t0055:= x*log(a*x^n)^(1/2)
+--R 
+--R
+--R            +---------+
+--R            |       n
+--R   (196)  x\|log(a x )
+--R                                                     Type: Expression Integer
+--E 276
+
+--S 277 of 500
+r0055:= 1/8*x^2*(-(a*x^n)^(-2/n)*n^(1/2)*2^(1/2)*%pi^(1/2)*erfi(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))+4*log(a*x^n)^(1/2))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 277
+
+--S 278 of 500
+a0055:= integrate(t0055,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 278
+
+--S 279 of 500
+--m0055:= a0055-r0055
+--E 279
+
+--S 280 of 500
+--d0055:= D(m0055,x)
+--E 280
+
+--S 281 of 500
+t0056:= x^2*log(a*x^n)^(1/2)
+--R 
+--R
+--R             +---------+
+--R           2 |       n
+--R   (197)  x \|log(a x )
+--R                                                     Type: Expression Integer
+--E 281
+
+--S 282 of 500
+r0056:= 1/18*x^3*(-(a*x^n)^(-3/n)*n^(1/2)*3^(1/2)*%pi^(1/2)*erfi(3^(1/2)*log(a*x^n)^(1/2)/n^(1/2))+6*log(a*x^n)^(1/2))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 282
+
+--S 283 of 500
+a0056:= integrate(t0056,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 283
+
+--S 284 of 500
+--m0056:= a0056-r0056
+--E 284
+
+--S 285 of 500
+--d0056:= D(m0056,x)
+--E 285
+
+--S 286 of 500
+t0057:= x^3*log(a*x^n)^(1/2)
+--R 
+--R
+--R             +---------+
+--R           3 |       n
+--R   (198)  x \|log(a x )
+--R                                                     Type: Expression Integer
+--E 286
+
+--S 287 of 500
+r0057:= 1/16*x^4*(-(a*x^n)^(-4/n)*n^(1/2)*%pi^(1/2)*erfi(2*log(a*x^n)^(1/2)/n^(1/2))+4*log(a*x^n)^(1/2))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 287
+
+--S 288 of 500
+a0057:= integrate(t0057,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 288
+
+--S 289 of 500
+--m0057:= a0057-r0057
+--E 289
+
+--S 290 of 500
+--d0057:= D(m0057,x)
+--E 290
+
+--S 291 of 500
+t0058:= log(a*x^n)^(1/2)/x^2
+--R 
+--R
+--R           +---------+
+--R           |       n
+--R          \|log(a x )
+--R   (199)  ------------
+--R                2
+--R               x
+--R                                                     Type: Expression Integer
+--E 291
+
+--S 292 of 500
+r0058:= -1/2*(-n^(1/2)*%pi^(1/2)*(a*x^n)^(1/n)*erf(log(a*x^n)^(1/2)/n^(1/2))+2*log(a*x^n)^(1/2))/x
+--R 
+--R
+--R                          1     +---------+
+--R                          -     |       n        +---------+
+--R           +-+ +---+    n n    \|log(a x )       |       n
+--R          \|n \|%pi (a x ) erf(------------) - 2\|log(a x )
+--R                                    +-+
+--R                                   \|n
+--R   (200)  --------------------------------------------------
+--R                                  2x
+--R                                                     Type: Expression Integer
+--E 292
+
+--S 293 of 500
+a0058:= integrate(t0058,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 293
+
+--S 294 of 500
+--m0058:= a0058-r0058
+--E 294
+
+--S 295 of 500
+--d0058:= D(m0058,x)
+--E 295
+
+--S 296 of 500
+t0059:= log(a*x^n)^(1/2)/x^3
+--R 
+--R
+--R           +---------+
+--R           |       n
+--R          \|log(a x )
+--R   (201)  ------------
+--R                3
+--R               x
+--R                                                     Type: Expression Integer
+--E 296
+
+--S 297 of 500
+r0059:= -1/8*(-n^(1/2)*2^(1/2)*%pi^(1/2)*(a*x^n)^(2/n)*erf(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))+4*log(a*x^n)^(1/2))/x^2
+--R 
+--R
+--R                              2         +---------+
+--R                              -     +-+ |       n        +---------+
+--R           +-+ +-+ +---+    n n    \|2 \|log(a x )       |       n
+--R          \|2 \|n \|%pi (a x ) erf(----------------) - 4\|log(a x )
+--R                                          +-+
+--R                                         \|n
+--R   (202)  ----------------------------------------------------------
+--R                                        2
+--R                                      8x
+--R                                                     Type: Expression Integer
+--E 297
+
+--S 298 of 500
+a0059:= integrate(t0059,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 298
+
+--S 299 of 500
+--m0059:= a0059-r0059
+--E 299
+
+--S 300 of 500
+--d0059:= D(m0059,x)
+--E 300
+
+--S 301 of 500
+t0060:= x^m*log(a*x^n)^(1/2)
+--R 
+--R
+--R             +---------+
+--R           m |       n
+--R   (203)  x \|log(a x )
+--R                                                     Type: Expression Integer
+--E 301
+
+--S 302 of 500
+r0060:= 1/2*x*x^m*(-(a*x^n)^(-(1+m)/n)*n^(1/2)*%pi^(1/2)*erfi((1+m)^(1/2)*log(a*x^n)^(1/2)/n^(1/2))+2*(1+m)^(1/2)*log(a*x^n)^(1/2))/(1+m)^(3/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 302
+
+--S 303 of 500
+a0060:= integrate(t0060,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 303
+
+--S 304 of 500
+--m0060:= a0060-r0060
+--E 304
+
+--S 305 of 500
+--d0060:= D(m0060,x)
+--E 305
+
+--S 306 of 500
+t0061:= 1/log(a*x^n)^(1/2)
+--R 
+--R
+--R                1
+--R   (204)  ------------
+--R           +---------+
+--R           |       n
+--R          \|log(a x )
+--R                                                     Type: Expression Integer
+--E 306
+
+--S 307 of 500
+r0061:= %pi^(1/2)*x*erfi(log(a*x^n)^(1/2)/n^(1/2))/n^(1/2)/((a*x^n)^(1/n))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 307
+
+--S 308 of 500
+a0061:= integrate(t0061,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 308
+
+--S 309 of 500
+--m0061:= a0061-r0061
+--E 309
+
+--S 310 of 500
+--d0061:= D(m0061,x)
+--E 310
+
+--S 311 of 500
+t0062:= x/log(a*x^n)^(1/2)
+--R 
+--R
+--R                x
+--R   (205)  ------------
+--R           +---------+
+--R           |       n
+--R          \|log(a x )
+--R                                                     Type: Expression Integer
+--E 311
+
+--S 312 of 500
+r0062:= 1/2*2^(1/2)*%pi^(1/2)*x^2*erfi(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/n^(1/2)*(a*x^n)^(-2/n)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 312
+
+--S 313 of 500
+a0062:= integrate(t0062,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 313
+
+--S 314 of 500
+--m0062:= a0062-r0062
+--E 314
+
+--S 315 of 500
+--d0062:= D(m0062,x)
+--E 315
+
+--S 316 of 500
+t0063:= x^2/log(a*x^n)^(1/2)
+--R 
+--R
+--R                2
+--R               x
+--R   (206)  ------------
+--R           +---------+
+--R           |       n
+--R          \|log(a x )
+--R                                                     Type: Expression Integer
+--E 316
+
+--S 317 of 500
+r0063:= 1/3*3^(1/2)*%pi^(1/2)*x^3*erfi(3^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/n^(1/2)*(a*x^n)^(-3/n)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 317
+
+--S 318 of 500
+a0063:= integrate(t0063,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 318
+
+--S 319 of 500
+--m0063:= a0063-r0063
+--E 319
+
+--S 320 of 500
+--d0063:= D(m0063,x)
+--E 320
+
+--S 321 of 500
+t0064:= x^3/log(a*x^n)^(1/2)
+--R 
+--R
+--R                3
+--R               x
+--R   (207)  ------------
+--R           +---------+
+--R           |       n
+--R          \|log(a x )
+--R                                                     Type: Expression Integer
+--E 321
+
+--S 322 of 500
+r0064:= 1/2*%pi^(1/2)*x^4*erfi(2*log(a*x^n)^(1/2)/n^(1/2))/n^(1/2)*(a*x^n)^(-4/n)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 322
+
+--S 323 of 500
+a0064:= integrate(t0064,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 323
+
+--S 324 of 500
+--m0064:= a0064-r0064
+--E 324
+
+--S 325 of 500
+--d0064:= D(m0064,x)
+--E 325
+
+--S 326 of 500
+t0065:= 1/x^2/log(a*x^n)^(1/2)
+--R 
+--R
+--R                 1
+--R   (208)  --------------
+--R             +---------+
+--R           2 |       n
+--R          x \|log(a x )
+--R                                                     Type: Expression Integer
+--E 326
+
+--S 327 of 500
+r0065:= %pi^(1/2)*(a*x^n)^(1/n)*erf(log(a*x^n)^(1/2)/n^(1/2))/n^(1/2)/x
+--R 
+--R
+--R                      1     +---------+
+--R                      -     |       n
+--R           +---+    n n    \|log(a x )
+--R          \|%pi (a x ) erf(------------)
+--R                                +-+
+--R                               \|n
+--R   (209)  ------------------------------
+--R                         +-+
+--R                       x\|n
+--R                                                     Type: Expression Integer
+--E 327
+
+--S 328 of 500
+a0065:= integrate(t0065,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 328
+
+--S 329 of 500
+--m0065:= a0065-r0065
+--E 329
+
+--S 330 of 500
+--d0065:= D(m0065,x)
+--E 330
+
+--S 331 of 500
+t0066:= 1/x^3/log(a*x^n)^(1/2)
+--R 
+--R
+--R                 1
+--R   (210)  --------------
+--R             +---------+
+--R           3 |       n
+--R          x \|log(a x )
+--R                                                     Type: Expression Integer
+--E 331
+
+--S 332 of 500
+r0066:= 1/2*2^(1/2)*%pi^(1/2)*(a*x^n)^(2/n)*erf(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/n^(1/2)/x^2
+--R 
+--R
+--R                          2         +---------+
+--R                          -     +-+ |       n
+--R           +-+ +---+    n n    \|2 \|log(a x )
+--R          \|2 \|%pi (a x ) erf(----------------)
+--R                                      +-+
+--R                                     \|n
+--R   (211)  --------------------------------------
+--R                            2 +-+
+--R                          2x \|n
+--R                                                     Type: Expression Integer
+--E 332
+
+--S 333 of 500
+a0066:= integrate(t0066,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 333
+
+--S 334 of 500
+--m0066:= a0066-r0066
+--E 334
+
+--S 335 of 500
+--d0066:= D(m0066,x)
+--E 335
+
+--S 336 of 500
+t0067:= x^m/log(a*x^n)^(1/2)
+--R 
+--R
+--R                m
+--R               x
+--R   (212)  ------------
+--R           +---------+
+--R           |       n
+--R          \|log(a x )
+--R                                                     Type: Expression Integer
+--E 336
+
+--S 337 of 500
+r0067:= %pi^(1/2)*x^(1+m)*erfi((1+m)^(1/2)*log(a*x^n)^(1/2)/n^(1/2))*(a*x^n)^(-(1+m)/n)/(1+m)^(1/2)/n^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 337
+
+--S 338 of 500
+a0067:= integrate(t0067,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 338
+
+--S 339 of 500
+--m0067:= a0067-r0067
+--E 339
+
+--S 340 of 500
+--d0067:= D(m0067,x)
+--E 340
+
+--S 341 of 500
+t0068:= 1/log(a*x^n)^(3/2)
+--R 
+--R
+--R                    1
+--R   (213)  ---------------------
+--R                    +---------+
+--R                 n  |       n
+--R          log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 341
+
+--S 342 of 500
+r0068:= 2*%pi^(1/2)*x*erfi(log(a*x^n)^(1/2)/n^(1/2))/n^(3/2)/((a*x^n)^(1/n))-2*x/n/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 342
+
+--S 343 of 500
+a0068:= integrate(t0068,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 343
+
+--S 344 of 500
+--m0068:= a0068-r0068
+--E 344
+
+--S 345 of 500
+--d0068:= D(m0068,x)
+--E 345
+
+--S 346 of 500
+t0069:= x/log(a*x^n)^(3/2)
+--R 
+--R
+--R                    x
+--R   (214)  ---------------------
+--R                    +---------+
+--R                 n  |       n
+--R          log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 346
+
+--S 347 of 500
+r0069:= 2*2^(1/2)*%pi^(1/2)*x^2*erfi(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^(2/n))/n^(3/2)-2*x^2/n/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 347
+
+--S 348 of 500
+a0069:= integrate(t0069,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 348
+
+--S 349 of 500
+--m0069:= a0069-r0069
+--E 349
+
+--S 350 of 500
+--d0069:= D(m0069,x)
+--E 350
+
+--S 351 of 500
+t0070:= x^2/log(a*x^n)^(3/2)
+--R 
+--R
+--R                     2
+--R                    x
+--R   (215)  ---------------------
+--R                    +---------+
+--R                 n  |       n
+--R          log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 351
+
+--S 352 of 500
+r0070:= 2*3^(1/2)*%pi^(1/2)*x^3*erfi(3^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^(3/n))/n^(3/2)-2*x^3/n/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 352
+
+--S 353 of 500
+a0070:= integrate(t0070,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 353
+
+--S 354 of 500
+--m0070:= a0070-r0070
+--E 354
+
+--S 355 of 500
+--d0070:= D(m0070,x)
+--E 355
+
+--S 356 of 500
+t0071:= x^3/log(a*x^n)^(3/2)
+--R 
+--R
+--R                     3
+--R                    x
+--R   (216)  ---------------------
+--R                    +---------+
+--R                 n  |       n
+--R          log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 356
+
+--S 357 of 500
+r0071:= 4*%pi^(1/2)*x^4*erfi(2*log(a*x^n)^(1/2)/n^(1/2))/n^(3/2)/((a*x^n)^(4/n))-2*x^4/n/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 357
+
+--S 358 of 500
+a0071:= integrate(t0071,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 358
+
+--S 359 of 500
+--m0071:= a0071-r0071
+--E 359
+
+--S 360 of 500
+--d0071:= D(m0071,x)
+--E 360
+
+--S 361 of 500
+t0072:= 1/x^2/log(a*x^n)^(3/2)
+--R 
+--R
+--R                     1
+--R   (217)  -----------------------
+--R                      +---------+
+--R           2       n  |       n
+--R          x log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 361
+
+--S 362 of 500
+r0072:= -2*%pi^(1/2)*(a*x^n)^(1/n)*erf(log(a*x^n)^(1/2)/n^(1/2))/n^(3/2)/x-2/n/x/log(a*x^n)^(1/2)
+--R 
+--R
+--R                         1                 +---------+
+--R                         - +---------+     |       n
+--R              +---+    n n |       n      \|log(a x )       +-+
+--R          - 2\|%pi (a x ) \|log(a x ) erf(------------) - 2\|n
+--R                                               +-+
+--R                                              \|n
+--R   (218)  -----------------------------------------------------
+--R                                   +---------+
+--R                               +-+ |       n
+--R                           n x\|n \|log(a x )
+--R                                                     Type: Expression Integer
+--E 362
+
+--S 363 of 500
+a0072:= integrate(t0072,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 363
+
+--S 364 of 500
+--m0072:= a0072-r0072
+--E 364
+
+--S 365 of 500
+--d0072:= D(m0072,x)
+--E 365
+
+--S 366 of 500
+t0073:= 1/x^3/log(a*x^n)^(3/2)
+--R 
+--R
+--R                     1
+--R   (219)  -----------------------
+--R                      +---------+
+--R           3       n  |       n
+--R          x log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 366
+
+--S 367 of 500
+r0073:= -2*2^(1/2)*%pi^(1/2)*(a*x^n)^(2/n)*erf(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/n^(3/2)/x^2-2/n/x^2/log(a*x^n)^(1/2)
+--R 
+--R
+--R                             2                     +---------+
+--R                             - +---------+     +-+ |       n
+--R              +-+ +---+    n n |       n      \|2 \|log(a x )       +-+
+--R          - 2\|2 \|%pi (a x ) \|log(a x ) erf(----------------) - 2\|n
+--R                                                     +-+
+--R                                                    \|n
+--R   (220)  -------------------------------------------------------------
+--R                                        +---------+
+--R                                  2 +-+ |       n
+--R                               n x \|n \|log(a x )
+--R                                                     Type: Expression Integer
+--E 367
+
+--S 368 of 500
+a0073:= integrate(t0073,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 368
+
+--S 369 of 500
+--m0073:= a0073-r0073
+--E 369
+
+--S 370 of 500
+--d0073:= D(m0073,x)
+--E 370
+
+--S 371 of 500
+t0074:= x^m/log(a*x^n)^(3/2)
+--R 
+--R
+--R                     m
+--R                    x
+--R   (221)  ---------------------
+--R                    +---------+
+--R                 n  |       n
+--R          log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 371
+
+--S 372 of 500
+r0074:= 2*(1+m)^(1/2)*%pi^(1/2)*x^(1+m)*erfi((1+m)^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^((1+m)/n))/n^(3/2)-2*x^(1+m)/n/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 372
+
+--S 373 of 500
+a0074:= integrate(t0074,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 373
+
+--S 374 of 500
+--m0074:= a0074-r0074
+--E 374
+
+--S 375 of 500
+--d0074:= D(m0074,x)
+--E 375
+
+--S 376 of 500
+t0075:= 1/log(a*x^n)^(5/2)
+--R 
+--R
+--R                     1
+--R   (222)  ----------------------
+--R                     +---------+
+--R                 n 2 |       n
+--R          log(a x ) \|log(a x )
+--R                                                     Type: Expression Integer
+--E 376
+
+--S 377 of 500
+r0075:= 4/3*%pi^(1/2)*x*erfi(log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^(1/n))/n^(5/2)-2/3*x/n/log(a*x^n)^(3/2)-4/3*x/n^2/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 377
+
+--S 378 of 500
+a0075:= integrate(t0075,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 378
+
+--S 379 of 500
+--m0075:= a0075-r0075
+--E 379
+
+--S 380 of 500
+--d0075:= D(m0075,x)
+--E 380
+
+--S 381 of 500
+t0076:= x/log(a*x^n)^(5/2)
+--R 
+--R
+--R                     x
+--R   (223)  ----------------------
+--R                     +---------+
+--R                 n 2 |       n
+--R          log(a x ) \|log(a x )
+--R                                                     Type: Expression Integer
+--E 381
+
+--S 382 of 500
+r0076:= 8/3*2^(1/2)*%pi^(1/2)*x^2*erfi(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^(2/n))/n^(5/2)-2/3*x^2/n/log(a*x^n)^(3/2)-8/3*x^2/n^2/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 382
+
+--S 383 of 500
+a0076:= integrate(t0076,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 383
+
+--S 384 of 500
+--m0076:= a0076-r0076
+--E 384
+
+--S 385 of 500
+--d0076:= D(m0076,x)
+--E 385
+
+--S 386 of 500
+t0077:= x^2/log(a*x^n)^(5/2)
+--R 
+--R
+--R                     2
+--R                    x
+--R   (224)  ----------------------
+--R                     +---------+
+--R                 n 2 |       n
+--R          log(a x ) \|log(a x )
+--R                                                     Type: Expression Integer
+--E 386
+
+--S 387 of 500
+r0077:= 4*3^(1/2)*%pi^(1/2)*x^3*erfi(3^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^(3/n))/n^(5/2)-2/3*x^3/n/log(a*x^n)^(3/2)-4*x^3/n^2/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 387
+
+--S 388 of 500
+a0077:= integrate(t0077,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 388
+
+--S 389 of 500
+--m0077:= a0077-r0077
+--E 389
+
+--S 390 of 500
+--d0077:= D(m0077,x)
+--E 390
+
+--S 391 of 500
+t0078:= x^3/log(a*x^n)^(5/2)
+--R 
+--R
+--R                     3
+--R                    x
+--R   (225)  ----------------------
+--R                     +---------+
+--R                 n 2 |       n
+--R          log(a x ) \|log(a x )
+--R                                                     Type: Expression Integer
+--E 391
+
+--S 392 of 500
+r0078:= 32/3*%pi^(1/2)*x^4*erfi(2*log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^(4/n))/n^(5/2)-2/3*x^4/n/log(a*x^n)^(3/2)-16/3*x^4/n^2/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 392
+
+--S 393 of 500
+a0078:= integrate(t0078,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 393
+
+--S 394 of 500
+--m0078:= a0078-r0078
+--E 394
+
+--S 395 of 500
+--d0078:= D(m0078,x)
+--E 395
+
+--S 396 of 500
+t0079:= 1/x^2/log(a*x^n)^(5/2)
+--R 
+--R
+--R                      1
+--R   (226)  ------------------------
+--R                       +---------+
+--R           2       n 2 |       n
+--R          x log(a x ) \|log(a x )
+--R                                                     Type: Expression Integer
+--E 396
+
+--S 397 of 500
+r0079:= 4/3*%pi^(1/2)*(a*x^n)^(1/n)*erf(log(a*x^n)^(1/2)/n^(1/2))/n^(5/2)/x-2/3/n/x/log(a*x^n)^(3/2)+4/3/n^2/x/log(a*x^n)^(1/2)
+--R 
+--R
+--R   (227)
+--R                             1                 +---------+
+--R                             - +---------+     |       n
+--R         +---+       n     n n |       n      \|log(a x )       +-+       n
+--R       4\|%pi log(a x )(a x ) \|log(a x ) erf(------------) + 4\|n log(a x )
+--R                                                   +-+
+--R                                                  \|n
+--R     + 
+--R            +-+
+--R       - 2n\|n
+--R  /
+--R                       +---------+
+--R       2  +-+       n  |       n
+--R     3n x\|n log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 397
+
+--S 398 of 500
+a0079:= integrate(t0079,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 398
+
+--S 399 of 500
+--m0079:= a0079-r0079
+--E 399
+
+--S 400 of 500
+--d0079:= D(m0079,x)
+--E 400
+
+--S 401 of 500
+t0080:= 1/x^3/log(a*x^n)^(5/2)
+--R 
+--R
+--R                      1
+--R   (228)  ------------------------
+--R                       +---------+
+--R           3       n 2 |       n
+--R          x log(a x ) \|log(a x )
+--R                                                     Type: Expression Integer
+--E 401
+
+--S 402 of 500
+r0080:= 8/3*2^(1/2)*%pi^(1/2)*(a*x^n)^(2/n)*erf(2^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/n^(5/2)/x^2-2/3/n/x^2/log(a*x^n)^(3/2)+8/3/n^2/x^2/log(a*x^n)^(1/2)
+--R 
+--R
+--R   (229)
+--R                                 2                     +---------+
+--R                                 - +---------+     +-+ |       n
+--R         +-+ +---+       n     n n |       n      \|2 \|log(a x )
+--R       8\|2 \|%pi log(a x )(a x ) \|log(a x ) erf(----------------)
+--R                                                         +-+
+--R                                                        \|n
+--R     + 
+--R         +-+       n       +-+
+--R       8\|n log(a x ) - 2n\|n
+--R  /
+--R                        +---------+
+--R       2 2 +-+       n  |       n
+--R     3n x \|n log(a x )\|log(a x )
+--R                                                     Type: Expression Integer
+--E 402
+
+--S 403 of 500
+a0080:= integrate(t0080,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 403
+
+--S 404 of 500
+--m0080:= a0080-r0080
+--E 404
+
+--S 405 of 500
+--d0080:= D(m0080,x)
+--E 405
+
+--S 406 of 500
+t0081:= x^m/log(a*x^n)^(5/2)
+--R 
+--R
+--R                     m
+--R                    x
+--R   (230)  ----------------------
+--R                     +---------+
+--R                 n 2 |       n
+--R          log(a x ) \|log(a x )
+--R                                                     Type: Expression Integer
+--E 406
+
+--S 407 of 500
+r0081:= 4/3*(1+m)^(3/2)*%pi^(1/2)*x^(1+m)*erfi((1+m)^(1/2)*log(a*x^n)^(1/2)/n^(1/2))/((a*x^n)^((1+m)/n))/n^(5/2)-2/3*x^(1+m)/n/log(a*x^n)^(3/2)-4/3*(1+m)*x^(1+m)/n^2/log(a*x^n)^(1/2)
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 407
+
+--S 408 of 500
+a0081:= integrate(t0081,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 408
+
+--S 409 of 500
+--m0081:= a0081-r0081
+--E 409
+
+--S 410 of 500
+--d0081:= D(m0081,x)
+--E 410
+
+--S 411 of 500
+t0082:= log(a*x)^p
+--R 
+--R
+--R                  p
+--R   (231)  log(a x)
+--R                                                     Type: Expression Integer
+--E 411
+
+--S 412 of 500
+r0082:= Gamma(p+1,-log(a*x))*log(a*x)^p/((-log(a*x))^p)/a
+--R 
+--R
+--R                  p _
+--R          log(a x) | (p + 1,- log(a x))
+--R   (232)  -----------------------------
+--R                               p
+--R                 a (- log(a x))
+--R                                                     Type: Expression Integer
+--E 412
+
+--S 413 of 500
+a0082:= integrate(t0082,x)
+--R 
+--R
+--R             x
+--R           ++           p
+--R   (233)   |   log(%D a) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 413
+
+--S 414 of 500
+--m0082:= a0082-r0082
+--E 414
+
+--S 415 of 500
+--d0082:= D(m0082,x)
+--E 415
+
+--S 416 of 500
+t0083:= x*log(a*x)^p
+--R 
+--R
+--R                    p
+--R   (234)  x log(a x)
+--R                                                     Type: Expression Integer
+--E 416
+
+--S 417 of 500
+r0083:= 2^(-1-p)*Gamma(p+1,-2*log(a*x))*log(a*x)^p/((-log(a*x))^p)/a^2
+--R 
+--R
+--R           - p - 1        p _
+--R          2       log(a x) | (p + 1,- 2log(a x))
+--R   (235)  --------------------------------------
+--R                       2            p
+--R                      a (- log(a x))
+--R                                                     Type: Expression Integer
+--E 417
+
+--S 418 of 500
+a0083:= integrate(t0083,x)
+--R 
+--R
+--R             x
+--R           ++              p
+--R   (236)   |   %D log(%D a) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 418
+
+--S 419 of 500
+--m0083:= a0083-r0083
+--E 419
+
+--S 420 of 500
+--d0083:= D(m0083,x)
+--E 420
+
+--S 421 of 500
+t0084:= x^2*log(a*x)^p
+--R 
+--R
+--R           2        p
+--R   (237)  x log(a x)
+--R                                                     Type: Expression Integer
+--E 421
+
+--S 422 of 500
+r0084:= 3^(-1-p)*Gamma(p+1,-3*log(a*x))*log(a*x)^p/((-log(a*x))^p)/a^3
+--R 
+--R
+--R           - p - 1        p _
+--R          3       log(a x) | (p + 1,- 3log(a x))
+--R   (238)  --------------------------------------
+--R                       3            p
+--R                      a (- log(a x))
+--R                                                     Type: Expression Integer
+--E 422
+
+--S 423 of 500
+a0084:= integrate(t0084,x)
+--R 
+--R
+--R             x
+--R           ++    2         p
+--R   (239)   |   %D log(%D a) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 423
+
+--S 424 of 500
+--m0084:= a0084-r0084
+--E 424
+
+--S 425 of 500
+--d0084:= D(m0084,x)
+--E 425
+
+--S 426 of 500
+t0085:= x^3*log(a*x)^p
+--R 
+--R
+--R           3        p
+--R   (240)  x log(a x)
+--R                                                     Type: Expression Integer
+--E 426
+
+--S 427 of 500
+r0085:= 4^(-1-p)*Gamma(p+1,-4*log(a*x))*log(a*x)^p/((-log(a*x))^p)/a^4
+--R 
+--R
+--R           - p - 1        p _
+--R          4       log(a x) | (p + 1,- 4log(a x))
+--R   (241)  --------------------------------------
+--R                       4            p
+--R                      a (- log(a x))
+--R                                                     Type: Expression Integer
+--E 427
+
+--S 428 of 500
+a0085:= integrate(t0085,x)
+--R 
+--R
+--R             x
+--R           ++    3         p
+--R   (242)   |   %D log(%D a) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 428
+
+--S 429 of 500
+--m0085:= a0085-r0085
+--E 429
+
+--S 430 of 500
+--d0085:= D(m0085,x)
+--E 430
+
+--S 431 of 500
+t0086:= log(a*x)^p/x^2
+--R 
+--R
+--R                  p
+--R          log(a x)
+--R   (243)  ---------
+--R               2
+--R              x
+--R                                                     Type: Expression Integer
+--E 431
+
+--S 432 of 500
+r0086:= -a*Gamma(p+1,log(a*x))
+--R 
+--R
+--R              _
+--R   (244)  - a| (p + 1,log(a x))
+--R                                                     Type: Expression Integer
+--E 432
+
+--S 433 of 500
+a0086:= integrate(t0086,x)
+--R 
+--R
+--R             x          p
+--R           ++  log(%D a)
+--R   (245)   |   ---------- d%D
+--R          ++         2
+--R                   %D
+--R                                          Type: Union(Expression Integer,...)
+--E 433
+
+--S 434 of 500
+--m0086:= a0086-r0086
+--E 434
+
+--S 435 of 500
+--d0086:= D(m0086,x)
+--E 435
+
+--S 436 of 500
+t0087:= log(a*x)^p/x^3
+--R 
+--R
+--R                  p
+--R          log(a x)
+--R   (246)  ---------
+--R               3
+--R              x
+--R                                                     Type: Expression Integer
+--E 436
+
+--S 437 of 500
+r0087:= -2^(-1-p)*a^2*Gamma(p+1,2*log(a*x))
+--R 
+--R
+--R             2 - p - 1 _
+--R   (247)  - a 2       | (p + 1,2log(a x))
+--R                                                     Type: Expression Integer
+--E 437
+
+--S 438 of 500
+a0087:= integrate(t0087,x)
+--R 
+--R
+--R             x          p
+--R           ++  log(%D a)
+--R   (248)   |   ---------- d%D
+--R          ++         3
+--R                   %D
+--R                                          Type: Union(Expression Integer,...)
+--E 438
+
+--S 439 of 500
+--m0087:= a0087-r0087
+--E 439
+
+--S 440 of 500
+--d0087:= D(m0087,x)
+--E 440
+
+--S 441 of 500
+t0088:= x^m*log(a*x)^p
+--R 
+--R
+--R           m        p
+--R   (249)  x log(a x)
+--R                                                     Type: Expression Integer
+--E 441
+
+--S 442 of 500
+r0088:= x^m/a*(a*x)^(-m)*Gamma(p+1,-(1+m)*log(a*x))*log(a*x)^p*(-(1+m)*log(a*x))^(-p)/(1+m)
+--R 
+--R
+--R           m     - m                   - p        p _
+--R          x (a x)   ((- m - 1)log(a x))   log(a x) | (p + 1,(- m - 1)log(a x))
+--R   (250)  --------------------------------------------------------------------
+--R                                         a m + a
+--R                                                     Type: Expression Integer
+--E 442
+
+--S 443 of 500
+a0088:= integrate(t0088,x)
+--R 
+--R
+--R             x
+--R           ++    m         p
+--R   (251)   |   %D log(%D a) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 443
+
+--S 444 of 500
+--m0088:= a0088-r0088
+--E 444
+
+--S 445 of 500
+--d0088:= D(m0088,x)
+--E 445
+
+--S 446 of 500
+t0089:= log(a*x^n)^p
+--R 
+--R
+--R                 n p
+--R   (252)  log(a x )
+--R                                                     Type: Expression Integer
+--E 446
+
+--S 447 of 500
+r0089:= x*Gamma(p+1,-log(a*x^n)/n)*log(a*x^n)^p/((a*x^n)^(1/n))/((-log(a*x^n)/n)^p)
+--R 
+--R
+--R                                        n
+--R                   n p _         log(a x )
+--R          x log(a x ) | (p + 1,- ---------)
+--R                                     n
+--R   (253)  ---------------------------------
+--R                      1
+--R                      -          n  p
+--R                    n n   log(a x )
+--R                (a x ) (- ---------)
+--R                              n
+--R                                                     Type: Expression Integer
+--E 447
+
+--S 448 of 500
+a0089:= integrate(t0089,x)
+--R 
+--R
+--R             x
+--R           ++          n p
+--R   (254)   |   log(a %D ) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 448
+
+--S 449 of 500
+--m0089:= a0089-r0089
+--E 449
+
+--S 450 of 500
+--d0089:= D(m0089,x)
+--E 450
+
+--S 451 of 500
+t0090:= x*log(a*x^n)^p
+--R 
+--R
+--R                   n p
+--R   (255)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 451
+
+--S 452 of 500
+r0090:= 2^(-1-p)*x^2*Gamma(p+1,-2*log(a*x^n)/n)*log(a*x^n)^p*(a*x^n)^(-2/n)*(-log(a*x^n)/n)^(-p)
+--R 
+--R
+--R                            2
+--R                          - -          n  - p                             n
+--R           2 - p - 1    n   n   log(a x )           n p _         2log(a x )
+--R   (256)  x 2       (a x )   (- ---------)   log(a x ) | (p + 1,- ----------)
+--R                                    n                                  n
+--R                                                     Type: Expression Integer
+--E 452
+
+--S 453 of 500
+a0090:= integrate(t0090,x)
+--R 
+--R
+--R             x
+--R           ++             n p
+--R   (257)   |   %D log(a %D ) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 453
+
+--S 454 of 500
+--m0090:= a0090-r0090
+--E 454
+
+--S 455 of 500
+--d0090:= D(m0090,x)
+--E 455
+
+--S 456 of 500
+t0091:= x^2*log(a*x^n)^p
+--R 
+--R
+--R           2       n p
+--R   (258)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 456
+
+--S 457 of 500
+r0091:= 3^(-1-p)*x^3*Gamma(p+1,-3*log(a*x^n)/n)*log(a*x^n)^p*(a*x^n)^(-3/n)*(-log(a*x^n)/n)^(-p)
+--R 
+--R
+--R                            3
+--R                          - -          n  - p                             n
+--R           3 - p - 1    n   n   log(a x )           n p _         3log(a x )
+--R   (259)  x 3       (a x )   (- ---------)   log(a x ) | (p + 1,- ----------)
+--R                                    n                                  n
+--R                                                     Type: Expression Integer
+--E 457
+
+--S 458 of 500
+a0091:= integrate(t0091,x)
+--R 
+--R
+--R             x
+--R           ++    2        n p
+--R   (260)   |   %D log(a %D ) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 458
+
+--S 459 of 500
+--m0091:= a0091-r0091
+--E 459
+
+--S 460 of 500
+--d0091:= D(m0091,x)
+--E 460
+
+--S 461 of 500
+t0092:= x^3*log(a*x^n)^p
+--R 
+--R
+--R           3       n p
+--R   (261)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 461
+
+--S 462 of 500
+r0092:= 2^(-2*p-2)*x^4*Gamma(p+1,-4*log(a*x^n)/n)*log(a*x^n)^p*(a*x^n)^(-4/n)*(-log(a*x^n)/n)^(-p)
+--R 
+--R
+--R                             4
+--R                           - -          n  - p                             n
+--R           4 - 2p - 2    n   n   log(a x )           n p _         4log(a x )
+--R   (262)  x 2        (a x )   (- ---------)   log(a x ) | (p + 1,- ----------)
+--R                                     n                                  n
+--R                                                     Type: Expression Integer
+--E 462
+
+--S 463 of 500
+a0092:= integrate(t0092,x)
+--R 
+--R
+--R             x
+--R           ++    3        n p
+--R   (263)   |   %D log(a %D ) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 463
+
+--S 464 of 500
+--m0092:= a0092-r0092
+--E 464
+
+--S 465 of 500
+--d0092:= D(m0092,x)
+--E 465
+
+--S 466 of 500
+t0093:= log(a*x^n)^p/x^2
+--R 
+--R
+--R                 n p
+--R          log(a x )
+--R   (264)  ----------
+--R               2
+--R              x
+--R                                                     Type: Expression Integer
+--E 466
+
+--S 467 of 500
+r0093:= -(a*x^n)^(1/n)*Gamma(p+1,log(a*x^n)/n)*log(a*x^n)^p/((log(a*x^n)/n)^p)/x
+--R 
+--R
+--R                  1
+--R                  -                          n
+--R                n n       n p _       log(a x )
+--R            (a x ) log(a x ) | (p + 1,---------)
+--R                                          n
+--R   (265)  - ------------------------------------
+--R                                 n  p
+--R                          log(a x )
+--R                       x (---------)
+--R                              n
+--R                                                     Type: Expression Integer
+--E 467
+
+--S 468 of 500
+a0093:= integrate(t0093,x)
+--R 
+--R
+--R             x         n p
+--R           ++  log(a %D )
+--R   (266)   |   ----------- d%D
+--R          ++         2
+--R                   %D
+--R                                          Type: Union(Expression Integer,...)
+--E 468
+
+--S 469 of 500
+--m0093:= a0093-r0093
+--E 469
+
+--S 470 of 500
+--d0093:= D(m0093,x)
+--E 470
+
+--S 471 of 500
+t0094:= log(a*x^n)^p/x^3
+--R 
+--R
+--R                 n p
+--R          log(a x )
+--R   (267)  ----------
+--R               3
+--R              x
+--R                                                     Type: Expression Integer
+--E 471
+
+--S 472 of 500
+r0094:= -2^(-1-p)*(a*x^n)^(2/n)*Gamma(p+1,2*log(a*x^n)/n)*log(a*x^n)^p/((log(a*x^n)/n)^p)/x^2
+--R 
+--R
+--R                          2
+--R                          -                           n
+--R             - p - 1    n n       n p _       2log(a x )
+--R            2       (a x ) log(a x ) | (p + 1,----------)
+--R                                                   n
+--R   (268)  - ---------------------------------------------
+--R                                      n  p
+--R                             2 log(a x )
+--R                            x (---------)
+--R                                   n
+--R                                                     Type: Expression Integer
+--E 472
+
+--S 473 of 500
+a0094:= integrate(t0094,x)
+--R 
+--R
+--R             x         n p
+--R           ++  log(a %D )
+--R   (269)   |   ----------- d%D
+--R          ++         3
+--R                   %D
+--R                                          Type: Union(Expression Integer,...)
+--E 473
+
+--S 474 of 500
+--m0094:= a0094-r0094
+--E 474
+
+--S 475 of 500
+--d0094:= D(m0094,x)
+--E 475
+
+--S 476 of 500
+t0095:= x^m*log(a*x^n)^p
+--R 
+--R
+--R           m       n p
+--R   (270)  x log(a x )
+--R                                                     Type: Expression Integer
+--E 476
+
+--S 477 of 500
+r0095:= x^(1+m)*Gamma(p+1,-(1+m)*log(a*x^n)/n)*log(a*x^n)^p*(a*x^n)^(-(1+m)/n)*(-(1+m)*log(a*x^n)/n)^(-p)/(1+m)
+--R 
+--R
+--R   (271)
+--R                   - m - 1
+--R                   -------                 n  - p
+--R        m + 1    n    n    (- m - 1)log(a x )           n p
+--R       x     (a x )       (------------------)   log(a x )
+--R                                    n
+--R    *
+--R                                n
+--R        _       (- m - 1)log(a x )
+--R       | (p + 1,------------------)
+--R                         n
+--R  /
+--R     m + 1
+--R                                                     Type: Expression Integer
+--E 477
+
+--S 478 of 500
+a0095:= integrate(t0095,x)
+--R 
+--R
+--R             x
+--R           ++    m        n p
+--R   (272)   |   %D log(a %D ) d%D
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 478
+
+--S 479 of 500
+--m0095:= a0095-r0095
+--E 479
+
+--S 480 of 500
+--d0095:= D(m0095,x)
+--E 480
+
+--S 481 of 500
+t0096:= (a+b*log(c*x^n))^3
+--R 
+--R
+--R           3       n 3       2       n 2     2         n     3
+--R   (273)  b log(c x )  + 3a b log(c x )  + 3a b log(c x ) + a
+--R                                                     Type: Expression Integer
+--E 481
+
+--S 482 of 500
+r0096:= 6*a*b^2*n^2*x-6*b^3*n^3*x+6*b^3*n^2*x*log(c*x^n)-3*b*n*x*(a+b*log(c*x^n))^2+x*(a+b*log(c*x^n))^3
+--R 
+--R
+--R   (274)
+--R      3         n 3        3        2          n 2
+--R     b x log(c x )  + (- 3b n + 3a b )x log(c x )
+--R   + 
+--R        3 2       2      2           n         3 3       2 2     2       3
+--R     (6b n  - 6a b n + 3a b)x log(c x ) + (- 6b n  + 6a b n  - 3a b n + a )x
+--R                                                     Type: Expression Integer
+--E 482
+
+--S 483 of 500
+a0096:= integrate(t0096,x)
+--R 
+--R
+--R   (275)
+--R      3 3        3      3 2                3 3       2 2         2
+--R     b n x log(x)  + (3b n x log(c) + (- 3b n  + 3a b n )x)log(x)
+--R   + 
+--R             3          2        3 2       2
+--R           3b n x log(c)  + (- 6b n  + 6a b n)x log(c)
+--R         + 
+--R              3 3       2 2     2
+--R           (6b n  - 6a b n  + 3a b n)x
+--R    *
+--R       log(x)
+--R   + 
+--R      3        3        3        2         2      3 2       2      2
+--R     b x log(c)  + (- 3b n + 3a b )x log(c)  + (6b n  - 6a b n + 3a b)x log(c)
+--R   + 
+--R          3 3       2 2     2       3
+--R     (- 6b n  + 6a b n  - 3a b n + a )x
+--R                                          Type: Union(Expression Integer,...)
+--E 483
+
+--S 484 of 500
+m0096:= a0096-r0096
+--R 
+--R
+--R   (276)
+--R        3         n 3      3        2          n 2
+--R     - b x log(c x )  + (3b n - 3a b )x log(c x )
+--R   + 
+--R          3 2       2      2           n     3 3        3
+--R     (- 6b n  + 6a b n - 3a b)x log(c x ) + b n x log(x)
+--R   + 
+--R        3 2                3 3       2 2         2
+--R     (3b n x log(c) + (- 3b n  + 3a b n )x)log(x)
+--R   + 
+--R             3          2        3 2       2
+--R           3b n x log(c)  + (- 6b n  + 6a b n)x log(c)
+--R         + 
+--R              3 3       2 2     2
+--R           (6b n  - 6a b n  + 3a b n)x
+--R    *
+--R       log(x)
+--R   + 
+--R      3        3        3        2         2      3 2       2      2
+--R     b x log(c)  + (- 3b n + 3a b )x log(c)  + (6b n  - 6a b n + 3a b)x log(c)
+--R                                                     Type: Expression Integer
+--E 484
+
+--S 485 of 500
+d0096:= D(m0096,x)
+--R 
+--R
+--R   (277)
+--R          3 n       n 3       3        2  n     3     n - 1        n 2
+--R       - b x log(c x )  + ((3b n - 3a b )x  - 3b n x x     )log(c x )
+--R     + 
+--R             3 2       2      2   n      3 2       2     n - 1        n
+--R       ((- 6b n  + 6a b n - 3a b)x  + (6b n  - 6a b n)x x     )log(c x )
+--R     + 
+--R            3 3      3      3 2             2 2       2
+--R           b n log(x)  + (3b n log(c) + 3a b n )log(x)
+--R         + 
+--R              3        2       2             2              3      3
+--R           (3b n log(c)  + 6a b n log(c) + 3a b n)log(x) + b log(c)
+--R         + 
+--R               2      2     2             3 3       2 2     2
+--R           3a b log(c)  + 3a b log(c) + 6b n  - 6a b n  + 3a b n
+--R      *
+--R          n
+--R         x
+--R     + 
+--R            3 3       2 2     2       n - 1
+--R       (- 6b n  + 6a b n  - 3a b n)x x
+--R  /
+--R      n
+--R     x
+--R                                                     Type: Expression Integer
+--E 485
+
+--S 486 of 500
+t0097:= 1/(a+b*log(c*x^n))
+--R 
+--R
+--R                 1
+--R   (278)  ---------------
+--R                   n
+--R          b log(c x ) + a
+--R                                                     Type: Expression Integer
+--E 486
+
+--S 487 of 500
+r0097:= x*Ei((a+b*log(c*x^n))/b/n)/b*exp(-a/b/n)/n*(c*x^n)^(-1/n)
+--R 
+--R
+--R                 a         1
+--R              - ---      - -            n
+--R                b n    n   n   b log(c x ) + a
+--R          x %e     (c x )   Ei(---------------)
+--R                                     b n
+--R   (279)  -------------------------------------
+--R                           b n
+--R                                                     Type: Expression Integer
+--E 487
+
+--S 488 of 500
+a0097:= integrate(t0097,x)
+--R 
+--R
+--R             x
+--R           ++          1
+--R   (280)   |   ---------------- d%D
+--R          ++             n
+--R               b log(c %D ) + a
+--R                                          Type: Union(Expression Integer,...)
+--E 488
+
+--S 489 of 500
+--m0097:= a0097-r0097
+--E 489
+
+--S 490 of 500
+--d0097:= D(m0097,x)
+--E 490
+
+--S 491 of 500
+t0098:= 1/(a+b*log(c*x^n))^2
+--R 
+--R
+--R                           1
+--R   (281)  ----------------------------------
+--R           2       n 2               n     2
+--R          b log(c x )  + 2a b log(c x ) + a
+--R                                                     Type: Expression Integer
+--E 491
+
+--S 492 of 500
+r0098:= x*Ei((a+b*log(c*x^n))/b/n)/(exp(1)^(a/b/n))/((c*x^n)^(1/n))/b^2/n^2-x/b/n/(a+b*log(c*x^n))
+--R 
+--R
+--R                                                              a       1
+--R                                           n                 ---      -
+--R                      n           b log(c x ) + a            b n    n n
+--R          (b x log(c x ) + a x)Ei(---------------) - b n x %e   (c x )
+--R                                        b n
+--R   (282)  -------------------------------------------------------------
+--R                            a                      a        1
+--R                           ---                    ---       -
+--R                      3 2  b n       n       2 2  b n     n n
+--R                    (b n %e   log(c x ) + a b n %e   )(c x )
+--R                                                     Type: Expression Integer
+--E 492
+
+--S 493 of 500
+a0098:= integrate(t0098,x)
+--R 
+--R
+--R             x
+--R           ++                    1
+--R   (283)   |   ------------------------------------ d%D
+--R          ++    2        n 2                n     2
+--R               b log(c %D )  + 2a b log(c %D ) + a
+--R                                          Type: Union(Expression Integer,...)
+--E 493
+
+--S 494 of 500
+--m0098:= a0098-r0098
+--E 494
+
+--S 495 of 500
+--d0098:= D(m0098,x)
+--E 495
+
+--S 496 of 500
+t0099:= 1/(a+b*log(c*x^n))^3
+--R 
+--R
+--R                                    1
+--R   (284)  ----------------------------------------------------
+--R           3       n 3       2       n 2     2         n     3
+--R          b log(c x )  + 3a b log(c x )  + 3a b log(c x ) + a
+--R                                                     Type: Expression Integer
+--E 496
+
+--S 497 of 500
+r0099:= 1/2*x*Ei((a+b*log(c*x^n))/b/n)/(exp(1)^(a/b/n))/((c*x^n)^(1/n))/b^3/n^3-1/2*x/b/n/(a+b*log(c*x^n))^2-1/2*x/b^2/n^2/(a+b*log(c*x^n))
+--R 
+--R
+--R   (285)
+--R                                                            n
+--R         2         n 2                 n     2     b log(c x ) + a
+--R       (b x log(c x )  + 2a b x log(c x ) + a x)Ei(---------------)
+--R                                                         b n
+--R     + 
+--R                   a                                  a        1
+--R                  ---                                ---       -
+--R           2      b n       n        2 2             b n     n n
+--R       (- b n x %e   log(c x ) + (- b n  - a b n)x %e   )(c x )
+--R  /
+--R              a                        a                       a        1
+--R             ---                      ---                     ---       -
+--R        5 3  b n       n 2       4 3  b n       n      2 3 3  b n     n n
+--R     (2b n %e   log(c x )  + 4a b n %e   log(c x ) + 2a b n %e   )(c x )
+--R                                                     Type: Expression Integer
+--E 497
+
+--S 498 of 500
+a0099:= integrate(t0099,x)
+--R 
+--R
+--R             x
+--R           ++                             1
+--R   (286)   |   ------------------------------------------------------- d%D
+--R          ++    3        n 3       2        n 2     2          n     3
+--R               b log(c %D )  + 3a b log(c %D )  + 3a b log(c %D ) + a
+--R                                          Type: Union(Expression Integer,...)
+--E 498
+
+--S 499 of 500
+--m0099:= a0099-r0099
+--E 499
+
+--S 500 of 500
+--d0099:= D(m0099,x)
+--E 500
+
+)spool
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Albert D. Rich ``Rule-based Mathematics''
+\verb|www.apmaths.uwo.ca/~arich|
+\end{thebibliography}
+\end{document}
